/* SettingsManager.c generated by valac 0.56.14, the Vala compiler
 * generated from SettingsManager.vala, do not modify */

/* Copyright 2014-2017 Go For It! developers
*
* This file is part of Go For It!.
*
* Go For It! is free software: you can redistribute it
* and/or modify it under the terms of version 3 of the
* GNU General Public License as published by the Free Software Foundation.
*
* Go For It! is distributed in the hope that it will be
* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
* Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with Go For It!. If not, see http://www.gnu.org/licenses/.
*/

#include "com.github.jmoerman.go-for-it-0.h"
#include <glib.h>
#include <stdlib.h>
#include <string.h>
#include <glib-object.h>
#include <glib/gstdio.h>
#include <glib/gi18n-lib.h>
#include <stdio.h>
#include <gobject/gvaluecollector.h>

#define SETTINGS_MANAGER_GROUP_TODO_TXT "Todo.txt"
#define SETTINGS_MANAGER_GROUP_TIMER "Timer"
#define SETTINGS_MANAGER_GROUP_UI "Interface"

#define _g_key_file_unref0(var) ((var == NULL) ? NULL : (var = (g_key_file_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _ParamSpecSettingsManager ParamSpecSettingsManager;
enum  {
	SETTINGS_MANAGER_TODO_TXT_LOCATION_CHANGED_SIGNAL,
	SETTINGS_MANAGER_TIMER_DURATION_CHANGED_SIGNAL,
	SETTINGS_MANAGER_USE_DARK_THEME_CHANGED_SIGNAL,
	SETTINGS_MANAGER_USE_HEADER_BAR_CHANGED_SIGNAL,
	SETTINGS_MANAGER_NUM_SIGNALS
};
static guint settings_manager_signals[SETTINGS_MANAGER_NUM_SIGNALS] = {0};

struct _SettingsManagerPrivate {
	GKeyFile* key_file;
};

struct _ParamSpecSettingsManager {
	GParamSpec parent_instance;
};

static gint SettingsManager_private_offset;
static gpointer settings_manager_parent_class = NULL;

VALA_EXTERN gchar* gofi_utils_get_config_file (void);
VALA_EXTERN gchar* gofi_utils_get_config_dir (void);
static gboolean settings_manager_import_from_old_path (SettingsManager* self);
static void settings_manager_generate_configuration (SettingsManager* self);
static gchar* settings_manager_header_bar_default (SettingsManager* self);
VALA_EXTERN GOFIFeatureStatus gofi_utils_get_desktop_hb_status (void);
static gchar* settings_manager_get_value (SettingsManager* self,
                                   const gchar* group,
                                   const gchar* key,
                                   const gchar* _default_);
static void settings_manager_set_value (SettingsManager* self,
                                 const gchar* group,
                                 const gchar* key,
                                 const gchar* value);
static void settings_manager_write_key_file (SettingsManager* self,
                                      GError** error);
VALA_EXTERN gchar* gofi_utils_get_old_config_file (void);
static void settings_manager_import_group (SettingsManager* self,
                                    GKeyFile* old_file,
                                    const gchar* group,
                                    gchar** keys,
                                    gint keys_length1,
                                    GError** error);
static void settings_manager_finalize (SettingsManager * obj);
static GType settings_manager_get_type_once (void);
static void _vala_array_destroy (gpointer array,
                          gssize array_length,
                          GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array,
                       gssize array_length,
                       GDestroyNotify destroy_func);

VALA_EXTERN const gchar* GOFI_TEST_DIRS[5];

static inline gpointer
settings_manager_get_instance_private (SettingsManager* self)
{
	return G_STRUCT_MEMBER_P (self, SettingsManager_private_offset);
}

/**
     * Constructs a SettingsManager object from a configuration file.
     * Reads the corresponding file and creates it, if necessary.
     */
SettingsManager*
settings_manager_construct_load_from_key_file (GType object_type)
{
	SettingsManager* self = NULL;
	GKeyFile* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gboolean _tmp4_;
	GError* _inner_error0_ = NULL;
#line 156 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	self = (SettingsManager*) g_type_create_instance (object_type);
#line 158 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp0_ = g_key_file_new ();
#line 158 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_g_key_file_unref0 (self->priv->key_file);
#line 158 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	self->priv->key_file = _tmp0_;
#line 160 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp1_ = gofi_utils_get_config_file ();
#line 160 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp2_ = _tmp1_;
#line 160 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp3_ = _tmp2_;
#line 160 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp4_ = !g_file_test (_tmp3_, G_FILE_TEST_EXISTS);
#line 160 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_g_free0 (_tmp3_);
#line 160 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	if (_tmp4_) {
#line 134 "SettingsManager.c"
		gint dir_exists = 0;
		gchar* _tmp5_;
		gchar* _tmp6_;
		gchar* _tmp7_;
		gint _tmp8_;
#line 161 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp5_ = gofi_utils_get_config_dir ();
#line 161 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp6_ = _tmp5_;
#line 161 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp7_ = _tmp6_;
#line 161 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp8_ = g_mkdir_with_parents (_tmp7_, 0775);
#line 161 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_g_free0 (_tmp7_);
#line 161 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		dir_exists = _tmp8_;
#line 164 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		if (dir_exists != 0) {
#line 154 "SettingsManager.c"
			gchar* _tmp9_;
			gchar* _tmp10_;
			gchar* _tmp11_;
#line 165 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_tmp9_ = gofi_utils_get_config_dir ();
#line 165 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_tmp10_ = _tmp9_;
#line 165 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_tmp11_ = _tmp10_;
#line 165 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			g_error (_ ("Couldn't create directory: %s"), _tmp11_);
#line 165 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_g_free0 (_tmp11_);
#line 168 "SettingsManager.c"
		}
#line 167 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		if (!settings_manager_import_from_old_path (self)) {
#line 172 "SettingsManager.c"
			FILE* _tmp12_;
#line 168 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_tmp12_ = stdout;
#line 168 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			fprintf (_tmp12_, "old file not imported\n");
#line 170 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			settings_manager_generate_configuration (self);
#line 171 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			self->first_start = TRUE;
#line 182 "SettingsManager.c"
		}
	} else {
		{
			GKeyFile* _tmp13_;
			gchar* _tmp14_;
			gchar* _tmp15_;
			gchar* _tmp16_;
#line 176 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_tmp13_ = self->priv->key_file;
#line 176 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_tmp14_ = gofi_utils_get_config_file ();
#line 176 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_tmp15_ = _tmp14_;
#line 176 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_tmp16_ = _tmp15_;
#line 176 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			g_key_file_load_from_file (_tmp13_, _tmp16_, G_KEY_FILE_KEEP_COMMENTS | G_KEY_FILE_KEEP_TRANSLATIONS, &_inner_error0_);
#line 176 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_g_free0 (_tmp16_);
#line 176 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 204 "SettingsManager.c"
				goto __catch0_g_error;
			}
		}
		goto __finally0;
		__catch0_g_error:
		{
			GError* e = NULL;
			FILE* _tmp17_;
			gchar* _tmp18_;
			gchar* _tmp19_;
			gchar* _tmp20_;
			const gchar* _tmp21_;
#line 175 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			e = _inner_error0_;
#line 175 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_inner_error0_ = NULL;
#line 179 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_tmp17_ = stderr;
#line 179 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_tmp18_ = gofi_utils_get_config_file ();
#line 179 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_tmp19_ = _tmp18_;
#line 179 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_tmp20_ = _tmp19_;
#line 179 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			fprintf (_tmp17_, "Reading %s failed", _tmp20_);
#line 179 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_g_free0 (_tmp20_);
#line 180 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_tmp21_ = e->message;
#line 180 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			g_error ("SettingsManager.vala:180: %s", _tmp21_);
#line 175 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_g_error_free0 (e);
#line 239 "SettingsManager.c"
		}
		__finally0:
#line 175 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 175 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 175 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			g_clear_error (&_inner_error0_);
#line 175 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			return NULL;
#line 250 "SettingsManager.c"
		}
	}
#line 156 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	return self;
#line 255 "SettingsManager.c"
}

SettingsManager*
settings_manager_new_load_from_key_file (void)
{
#line 156 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	return settings_manager_construct_load_from_key_file (TYPE_SETTINGS_MANAGER);
#line 263 "SettingsManager.c"
}

static gchar*
settings_manager_header_bar_default (SettingsManager* self)
{
	GOFIFeatureStatus _tmp0_;
	GOFIFeatureStatus _tmp1_;
	gchar* _tmp3_;
	gchar* result;
#line 185 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 186 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp0_ = gofi_utils_get_desktop_hb_status ();
#line 186 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp1_ = _tmp0_;
#line 186 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	if (gofi_feature_status_use_feature (_tmp1_, TRUE)) {
#line 281 "SettingsManager.c"
		gchar* _tmp2_;
#line 187 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp2_ = g_strdup ("true");
#line 187 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		result = _tmp2_;
#line 187 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		return result;
#line 289 "SettingsManager.c"
	}
#line 189 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp3_ = g_strdup ("false");
#line 189 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	result = _tmp3_;
#line 189 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	return result;
#line 297 "SettingsManager.c"
}

/**
     * Provides read access to a setting, given a certain group and key.
     * Public access is granted via the SettingsManager's attributes, so this
     * function has been declared private
     */
static gchar*
settings_manager_get_value (SettingsManager* self,
                            const gchar* group,
                            const gchar* key,
                            const gchar* _default_)
{
	GError* _inner_error0_ = NULL;
	gchar* result;
#line 197 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 197 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_val_if_fail (group != NULL, NULL);
#line 197 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_val_if_fail (key != NULL, NULL);
#line 197 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_val_if_fail (_default_ != NULL, NULL);
#line 321 "SettingsManager.c"
	{
		gboolean _tmp0_ = FALSE;
		gboolean _tmp1_ = FALSE;
		GKeyFile* _tmp2_;
#line 200 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp2_ = self->priv->key_file;
#line 200 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		if (_tmp2_ != NULL) {
#line 330 "SettingsManager.c"
			GKeyFile* _tmp3_;
#line 201 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_tmp3_ = self->priv->key_file;
#line 201 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_tmp1_ = g_key_file_has_group (_tmp3_, group);
#line 336 "SettingsManager.c"
		} else {
#line 200 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_tmp1_ = FALSE;
#line 340 "SettingsManager.c"
		}
#line 200 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		if (_tmp1_) {
#line 344 "SettingsManager.c"
			gboolean _tmp4_ = FALSE;
			GKeyFile* _tmp5_;
#line 202 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_tmp5_ = self->priv->key_file;
#line 202 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_tmp4_ = g_key_file_has_key (_tmp5_, group, key, &_inner_error0_);
#line 202 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 353 "SettingsManager.c"
				goto __catch0_g_error;
			}
#line 202 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_tmp0_ = _tmp4_;
#line 358 "SettingsManager.c"
		} else {
#line 200 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_tmp0_ = FALSE;
#line 362 "SettingsManager.c"
		}
#line 200 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		if (_tmp0_) {
#line 366 "SettingsManager.c"
			gchar* _tmp6_ = NULL;
			GKeyFile* _tmp7_;
			gchar* _tmp8_;
			gchar* _tmp9_;
#line 203 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_tmp7_ = self->priv->key_file;
#line 203 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_tmp8_ = g_key_file_get_value (_tmp7_, group, key, &_inner_error0_);
#line 203 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_tmp6_ = _tmp8_;
#line 203 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 379 "SettingsManager.c"
				goto __catch0_g_error;
			}
#line 203 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_tmp9_ = _tmp6_;
#line 203 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_tmp6_ = NULL;
#line 203 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			result = _tmp9_;
#line 203 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_g_free0 (_tmp6_);
#line 203 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			return result;
#line 392 "SettingsManager.c"
		} else {
			gchar* _tmp10_;
#line 205 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_tmp10_ = g_strdup (_default_);
#line 205 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			result = _tmp10_;
#line 205 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			return result;
#line 401 "SettingsManager.c"
		}
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* e = NULL;
		const gchar* _tmp11_;
#line 198 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		e = _inner_error0_;
#line 198 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_inner_error0_ = NULL;
#line 208 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp11_ = e->message;
#line 208 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		g_error ("An error occured while reading the setting" " %s.%s: %s", group, key, _tmp11_);
#line 198 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_g_error_free0 (e);
#line 419 "SettingsManager.c"
	}
	__finally0:
#line 198 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 198 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_clear_error (&_inner_error0_);
#line 198 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	return NULL;
#line 428 "SettingsManager.c"
}

/**
     * Provides write access to a setting, given a certain group key and value.
     * Public access is granted via the SettingsManager's attributes, so this
     * function has been declared private
     */
static void
settings_manager_set_value (SettingsManager* self,
                            const gchar* group,
                            const gchar* key,
                            const gchar* value)
{
	GKeyFile* _tmp0_;
	GError* _inner_error0_ = NULL;
#line 218 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 218 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_if_fail (group != NULL);
#line 218 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_if_fail (key != NULL);
#line 218 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_if_fail (value != NULL);
#line 219 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp0_ = self->priv->key_file;
#line 219 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	if (_tmp0_ != NULL) {
#line 456 "SettingsManager.c"
		{
			GKeyFile* _tmp1_;
#line 221 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_tmp1_ = self->priv->key_file;
#line 221 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			g_key_file_set_value (_tmp1_, group, key, value);
#line 222 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			settings_manager_write_key_file (self, &_inner_error0_);
#line 222 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 467 "SettingsManager.c"
				goto __catch0_g_error;
			}
		}
		goto __finally0;
		__catch0_g_error:
		{
			GError* e = NULL;
			const gchar* _tmp2_;
#line 220 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			e = _inner_error0_;
#line 220 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_inner_error0_ = NULL;
#line 224 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_tmp2_ = e->message;
#line 224 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			g_error ("An error occured while setting the setting" " %s.%s to %s: %s", group, key, value, _tmp2_);
#line 220 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_g_error_free0 (e);
#line 486 "SettingsManager.c"
		}
		__finally0:
#line 220 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 220 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 220 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			g_clear_error (&_inner_error0_);
#line 220 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			return;
#line 497 "SettingsManager.c"
		}
	}
}

/**
     * Function made for compability with older versions of GLib.
     */
static void
settings_manager_write_key_file (SettingsManager* self,
                                 GError** error)
{
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	GKeyFile* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
	GError* _inner_error0_ = NULL;
#line 233 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 234 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp0_ = gofi_utils_get_config_file ();
#line 234 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp1_ = _tmp0_;
#line 234 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp2_ = _tmp1_;
#line 234 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp3_ = self->priv->key_file;
#line 234 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp4_ = g_key_file_to_data (_tmp3_, NULL, NULL);
#line 234 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp5_ = _tmp4_;
#line 234 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_file_set_contents (_tmp2_, _tmp5_, (gssize) -1, &_inner_error0_);
#line 234 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_g_free0 (_tmp5_);
#line 234 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_g_free0 (_tmp2_);
#line 234 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 234 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		g_propagate_error (error, _inner_error0_);
#line 234 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		return;
#line 542 "SettingsManager.c"
	}
}

/**
     * Generates the default configuration.
     * It also tries to automatically determine the location of the user's
     * Todo.txt directory by checking a set of common potential
     * "standard locations", which are defined in GOFI.TEST_DIRS in Utils.vala.
     */
static void
settings_manager_generate_configuration (SettingsManager* self)
{
	gchar* user_dir = NULL;
	const gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* todo_dir = NULL;
	const gchar* _tmp2_;
	const gchar* _tmp3_;
	gchar* _tmp4_;
	const gchar* _tmp11_;
#line 243 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 244 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp0_ = g_get_home_dir ();
#line 244 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 244 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	user_dir = _tmp1_;
#line 248 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp2_ = user_dir;
#line 248 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp3_ = GOFI_TEST_DIRS[0];
#line 248 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp4_ = g_build_filename (_tmp2_, _tmp3_, NULL);
#line 248 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	todo_dir = _tmp4_;
#line 579 "SettingsManager.c"
	{
		const gchar** test_sub_dir_collection = NULL;
		gint test_sub_dir_collection_length1 = 0;
		gint _test_sub_dir_collection_size_ = 0;
		gint test_sub_dir_it = 0;
#line 251 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		test_sub_dir_collection = GOFI_TEST_DIRS;
#line 251 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		test_sub_dir_collection_length1 = G_N_ELEMENTS (GOFI_TEST_DIRS);
#line 251 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		for (test_sub_dir_it = 0; test_sub_dir_it < test_sub_dir_collection_length1; test_sub_dir_it = test_sub_dir_it + 1) {
#line 591 "SettingsManager.c"
			const gchar* test_sub_dir = NULL;
#line 251 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			test_sub_dir = test_sub_dir_collection[test_sub_dir_it];
#line 595 "SettingsManager.c"
			{
				gchar* test_dir = NULL;
				const gchar* _tmp5_;
				const gchar* _tmp6_;
				gchar* _tmp7_;
				const gchar* _tmp8_;
#line 252 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
				_tmp5_ = user_dir;
#line 252 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
				_tmp6_ = test_sub_dir;
#line 252 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
				_tmp7_ = g_build_filename (_tmp5_, _tmp6_, NULL);
#line 252 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
				test_dir = _tmp7_;
#line 253 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
				_tmp8_ = test_dir;
#line 253 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
				if (g_file_test (_tmp8_, G_FILE_TEST_EXISTS)) {
#line 614 "SettingsManager.c"
					const gchar* _tmp9_;
					gchar* _tmp10_;
#line 254 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
					_tmp9_ = test_dir;
#line 254 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
					_tmp10_ = g_strdup (_tmp9_);
#line 254 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
					_g_free0 (todo_dir);
#line 254 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
					todo_dir = _tmp10_;
#line 255 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
					_g_free0 (test_dir);
#line 255 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
					break;
#line 629 "SettingsManager.c"
				}
#line 251 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
				_g_free0 (test_dir);
#line 633 "SettingsManager.c"
			}
		}
	}
#line 259 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp11_ = todo_dir;
#line 259 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	settings_manager_set_todo_txt_location (self, _tmp11_);
#line 243 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_g_free0 (todo_dir);
#line 243 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_g_free0 (user_dir);
#line 645 "SettingsManager.c"
}

/**
     * Try to read the configuration from a keyfile from an older version.
     */
static gboolean
settings_manager_import_from_old_path (SettingsManager* self)
{
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gboolean _tmp3_;
	GKeyFile* old_file = NULL;
	GKeyFile* _tmp4_;
	GError* _inner_error0_ = NULL;
	gboolean result;
#line 265 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 266 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp0_ = gofi_utils_get_old_config_file ();
#line 266 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp1_ = _tmp0_;
#line 266 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp2_ = _tmp1_;
#line 266 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp3_ = !g_file_test (_tmp2_, G_FILE_TEST_EXISTS);
#line 266 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_g_free0 (_tmp2_);
#line 266 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	if (_tmp3_) {
#line 267 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		result = FALSE;
#line 267 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		return result;
#line 680 "SettingsManager.c"
	}
#line 271 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp4_ = g_key_file_new ();
#line 271 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	old_file = _tmp4_;
#line 686 "SettingsManager.c"
	{
		GKeyFile* _tmp5_;
		gchar* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
#line 274 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp5_ = old_file;
#line 274 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp6_ = gofi_utils_get_old_config_file ();
#line 274 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp7_ = _tmp6_;
#line 274 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp8_ = _tmp7_;
#line 274 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		g_key_file_load_from_file (_tmp5_, _tmp8_, G_KEY_FILE_KEEP_COMMENTS | G_KEY_FILE_KEEP_TRANSLATIONS, &_inner_error0_);
#line 274 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_g_free0 (_tmp8_);
#line 274 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 706 "SettingsManager.c"
			goto __catch0_g_error;
		}
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* e = NULL;
		FILE* _tmp9_;
		gchar* _tmp10_;
		gchar* _tmp11_;
		gchar* _tmp12_;
		GError* _tmp13_;
		const gchar* _tmp14_;
#line 273 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		e = _inner_error0_;
#line 273 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_inner_error0_ = NULL;
#line 277 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp9_ = stderr;
#line 277 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp10_ = gofi_utils_get_old_config_file ();
#line 277 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp11_ = _tmp10_;
#line 277 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp12_ = _tmp11_;
#line 277 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		fprintf (_tmp9_, "Reading %s failed", _tmp12_);
#line 277 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_g_free0 (_tmp12_);
#line 278 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp13_ = e;
#line 278 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp14_ = _tmp13_->message;
#line 278 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		g_warning ("SettingsManager.vala:278: %s", _tmp14_);
#line 279 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		result = FALSE;
#line 279 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_g_error_free0 (e);
#line 279 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_g_key_file_unref0 (old_file);
#line 279 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		return result;
#line 750 "SettingsManager.c"
	}
	__finally0:
#line 273 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 755 "SettingsManager.c"
		gboolean _tmp15_ = FALSE;
#line 273 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_g_key_file_unref0 (old_file);
#line 273 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 273 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		g_clear_error (&_inner_error0_);
#line 273 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		return _tmp15_;
#line 765 "SettingsManager.c"
	}
	{
		GKeyFile* _tmp16_;
		gchar* _tmp17_;
		gchar** _tmp18_;
		gchar** _tmp19_;
		gint _tmp19__length1;
		GKeyFile* _tmp21_;
		gchar* _tmp22_;
		gchar* _tmp23_;
		gchar* _tmp24_;
		gchar** _tmp25_;
		gchar** _tmp26_;
		gint _tmp26__length1;
		GKeyFile* _tmp28_;
		gchar* _tmp29_;
		gchar* _tmp30_;
		gchar* _tmp31_;
		gchar* _tmp32_;
		gchar* _tmp33_;
		gchar** _tmp34_;
		gchar** _tmp35_;
		gint _tmp35__length1;
#line 283 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp16_ = old_file;
#line 283 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp17_ = g_strdup ("location");
#line 283 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp18_ = g_new0 (gchar*, 1 + 1);
#line 283 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp18_[0] = _tmp17_;
#line 283 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp19_ = _tmp18_;
#line 283 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp19__length1 = 1;
#line 283 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		settings_manager_import_group (self, _tmp16_, SETTINGS_MANAGER_GROUP_TODO_TXT, _tmp19_, (gint) 1, &_inner_error0_);
#line 283 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp19_ = (_vala_array_free (_tmp19_, _tmp19__length1, (GDestroyNotify) g_free), NULL);
#line 283 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 807 "SettingsManager.c"
			gboolean _tmp20_ = FALSE;
#line 283 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			if (_inner_error0_->domain == G_KEY_FILE_ERROR) {
#line 811 "SettingsManager.c"
				goto __catch1_g_key_file_error;
			}
#line 283 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_g_key_file_unref0 (old_file);
#line 283 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 283 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			g_clear_error (&_inner_error0_);
#line 283 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			return _tmp20_;
#line 822 "SettingsManager.c"
		}
#line 287 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp21_ = old_file;
#line 287 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp22_ = g_strdup ("task_duration");
#line 287 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp23_ = g_strdup ("break_duration");
#line 287 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp24_ = g_strdup ("reminder_time");
#line 287 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp25_ = g_new0 (gchar*, 3 + 1);
#line 287 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp25_[0] = _tmp22_;
#line 287 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp25_[1] = _tmp23_;
#line 287 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp25_[2] = _tmp24_;
#line 287 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp26_ = _tmp25_;
#line 287 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp26__length1 = 3;
#line 287 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		settings_manager_import_group (self, _tmp21_, SETTINGS_MANAGER_GROUP_TIMER, _tmp26_, (gint) 3, &_inner_error0_);
#line 287 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp26_ = (_vala_array_free (_tmp26_, _tmp26__length1, (GDestroyNotify) g_free), NULL);
#line 287 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 850 "SettingsManager.c"
			gboolean _tmp27_ = FALSE;
#line 287 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			if (_inner_error0_->domain == G_KEY_FILE_ERROR) {
#line 854 "SettingsManager.c"
				goto __catch1_g_key_file_error;
			}
#line 287 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_g_key_file_unref0 (old_file);
#line 287 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 287 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			g_clear_error (&_inner_error0_);
#line 287 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			return _tmp27_;
#line 865 "SettingsManager.c"
		}
#line 291 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp28_ = old_file;
#line 291 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp29_ = g_strdup ("win_x");
#line 291 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp30_ = g_strdup ("win_y");
#line 291 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp31_ = g_strdup ("win_width");
#line 291 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp32_ = g_strdup ("win_height");
#line 291 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp33_ = g_strdup ("use_dark_theme");
#line 291 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp34_ = g_new0 (gchar*, 5 + 1);
#line 291 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp34_[0] = _tmp29_;
#line 291 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp34_[1] = _tmp30_;
#line 291 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp34_[2] = _tmp31_;
#line 291 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp34_[3] = _tmp32_;
#line 291 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp34_[4] = _tmp33_;
#line 291 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp35_ = _tmp34_;
#line 291 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp35__length1 = 5;
#line 291 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		settings_manager_import_group (self, _tmp28_, SETTINGS_MANAGER_GROUP_UI, _tmp35_, (gint) 5, &_inner_error0_);
#line 291 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp35_ = (_vala_array_free (_tmp35_, _tmp35__length1, (GDestroyNotify) g_free), NULL);
#line 291 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 901 "SettingsManager.c"
			gboolean _tmp36_ = FALSE;
#line 291 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			if (_inner_error0_->domain == G_KEY_FILE_ERROR) {
#line 905 "SettingsManager.c"
				goto __catch1_g_key_file_error;
			}
#line 291 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_g_key_file_unref0 (old_file);
#line 291 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 291 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			g_clear_error (&_inner_error0_);
#line 291 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			return _tmp36_;
#line 916 "SettingsManager.c"
		}
	}
	goto __finally1;
	__catch1_g_key_file_error:
	{
		GError* e = NULL;
		gchar* _tmp37_;
		gchar* _tmp38_;
		gchar* _tmp39_;
		GError* _tmp40_;
		const gchar* _tmp41_;
#line 282 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		e = _inner_error0_;
#line 282 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_inner_error0_ = NULL;
#line 296 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp37_ = gofi_utils_get_old_config_file ();
#line 296 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp38_ = _tmp37_;
#line 296 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp39_ = _tmp38_;
#line 296 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp40_ = e;
#line 296 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_tmp41_ = _tmp40_->message;
#line 296 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		g_warning (_ ("Couldn't properly import settings from %s: %s"), _tmp39_, _tmp41_);
#line 296 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_g_free0 (_tmp39_);
#line 300 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		result = FALSE;
#line 300 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_g_error_free0 (e);
#line 300 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_g_key_file_unref0 (old_file);
#line 300 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		return result;
#line 954 "SettingsManager.c"
	}
	__finally1:
#line 282 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 959 "SettingsManager.c"
		gboolean _tmp42_ = FALSE;
#line 282 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		_g_key_file_unref0 (old_file);
#line 282 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 282 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		g_clear_error (&_inner_error0_);
#line 282 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		return _tmp42_;
#line 969 "SettingsManager.c"
	}
#line 302 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	result = TRUE;
#line 302 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_g_key_file_unref0 (old_file);
#line 302 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	return result;
#line 977 "SettingsManager.c"
}

static void
settings_manager_import_group (SettingsManager* self,
                               GKeyFile* old_file,
                               const gchar* group,
                               gchar** keys,
                               gint keys_length1,
                               GError** error)
{
	GError* _inner_error0_ = NULL;
#line 305 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 305 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_if_fail (old_file != NULL);
#line 305 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_if_fail (group != NULL);
#line 306 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	if (!g_key_file_has_group (old_file, group)) {
#line 307 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		return;
#line 999 "SettingsManager.c"
	}
	{
		gchar** key_collection = NULL;
		gint key_collection_length1 = 0;
		gint _key_collection_size_ = 0;
		gint key_it = 0;
#line 309 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		key_collection = keys;
#line 309 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		key_collection_length1 = keys_length1;
#line 309 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		for (key_it = 0; key_it < key_collection_length1; key_it = key_it + 1) {
#line 1012 "SettingsManager.c"
			gchar* _tmp0_;
			gchar* key = NULL;
#line 309 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			_tmp0_ = g_strdup (key_collection[key_it]);
#line 309 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			key = _tmp0_;
#line 1019 "SettingsManager.c"
			{
				gboolean _tmp1_ = FALSE;
				const gchar* _tmp2_;
#line 310 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
				_tmp2_ = key;
#line 310 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
				_tmp1_ = g_key_file_has_key (old_file, group, _tmp2_, &_inner_error0_);
#line 310 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
				if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 310 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
					if (_inner_error0_->domain == G_KEY_FILE_ERROR) {
#line 310 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
						g_propagate_error (error, _inner_error0_);
#line 310 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
						_g_free0 (key);
#line 310 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
						return;
#line 1037 "SettingsManager.c"
					} else {
#line 310 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
						_g_free0 (key);
#line 310 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
						g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 310 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
						g_clear_error (&_inner_error0_);
#line 310 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
						return;
#line 1047 "SettingsManager.c"
					}
				}
#line 310 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
				if (_tmp1_) {
#line 1052 "SettingsManager.c"
					gchar* _tmp3_ = NULL;
					const gchar* _tmp4_;
					gchar* _tmp5_;
					GKeyFile* _tmp6_;
					const gchar* _tmp7_;
#line 311 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
					_tmp4_ = key;
#line 311 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
					_tmp5_ = g_key_file_get_value (old_file, group, _tmp4_, &_inner_error0_);
#line 311 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
					_tmp3_ = _tmp5_;
#line 311 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
					if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 311 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
						if (_inner_error0_->domain == G_KEY_FILE_ERROR) {
#line 311 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
							g_propagate_error (error, _inner_error0_);
#line 311 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
							_g_free0 (key);
#line 311 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
							return;
#line 1074 "SettingsManager.c"
						} else {
#line 311 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
							_g_free0 (key);
#line 311 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
							g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 311 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
							g_clear_error (&_inner_error0_);
#line 311 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
							return;
#line 1084 "SettingsManager.c"
						}
					}
#line 311 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
					_tmp6_ = self->priv->key_file;
#line 311 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
					_tmp7_ = key;
#line 311 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
					g_key_file_set_value (_tmp6_, group, _tmp7_, _tmp3_);
#line 310 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
					_g_free0 (_tmp3_);
#line 1095 "SettingsManager.c"
				}
#line 309 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
				_g_free0 (key);
#line 1099 "SettingsManager.c"
			}
		}
	}
}

SettingsManager*
settings_manager_construct (GType object_type)
{
	SettingsManager* self = NULL;
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	self = (SettingsManager*) g_type_create_instance (object_type);
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	return self;
#line 1113 "SettingsManager.c"
}

SettingsManager*
settings_manager_new (void)
{
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	return settings_manager_construct (TYPE_SETTINGS_MANAGER);
#line 1121 "SettingsManager.c"
}

gchar*
settings_manager_get_todo_txt_location (SettingsManager* self)
{
	gchar* result;
	gchar* _tmp0_;
#line 43 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 43 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp0_ = settings_manager_get_value (self, SETTINGS_MANAGER_GROUP_TODO_TXT, "location", "");
#line 43 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	result = _tmp0_;
#line 43 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	return result;
#line 1137 "SettingsManager.c"
}

void
settings_manager_set_todo_txt_location (SettingsManager* self,
                                        const gchar* value)
{
#line 44 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 45 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	settings_manager_set_value (self, SETTINGS_MANAGER_GROUP_TODO_TXT, "location", value);
#line 46 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_signal_emit (self, settings_manager_signals[SETTINGS_MANAGER_TODO_TXT_LOCATION_CHANGED_SIGNAL], 0);
#line 1150 "SettingsManager.c"
}

gint
settings_manager_get_task_duration (SettingsManager* self)
{
	gint result;
	gchar* duration = NULL;
	gchar* _tmp0_;
#line 51 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 52 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp0_ = settings_manager_get_value (self, SETTINGS_MANAGER_GROUP_TIMER, "task_duration", "1500");
#line 52 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	duration = _tmp0_;
#line 53 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	result = atoi (duration);
#line 53 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_g_free0 (duration);
#line 53 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	return result;
#line 1171 "SettingsManager.c"
}

void
settings_manager_set_task_duration (SettingsManager* self,
                                    gint value)
{
	gchar* _tmp0_;
	gchar* _tmp1_;
#line 55 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 56 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp0_ = g_strdup_printf ("%i", value);
#line 56 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp1_ = _tmp0_;
#line 56 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	settings_manager_set_value (self, SETTINGS_MANAGER_GROUP_TIMER, "task_duration", _tmp1_);
#line 56 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_g_free0 (_tmp1_);
#line 57 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_signal_emit (self, settings_manager_signals[SETTINGS_MANAGER_TIMER_DURATION_CHANGED_SIGNAL], 0);
#line 1192 "SettingsManager.c"
}

gint
settings_manager_get_break_duration (SettingsManager* self)
{
	gint result;
	gchar* duration = NULL;
	gchar* _tmp0_;
#line 61 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 62 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp0_ = settings_manager_get_value (self, SETTINGS_MANAGER_GROUP_TIMER, "break_duration", "300");
#line 62 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	duration = _tmp0_;
#line 63 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	result = atoi (duration);
#line 63 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_g_free0 (duration);
#line 63 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	return result;
#line 1213 "SettingsManager.c"
}

void
settings_manager_set_break_duration (SettingsManager* self,
                                     gint value)
{
	gchar* _tmp0_;
	gchar* _tmp1_;
#line 65 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 66 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp0_ = g_strdup_printf ("%i", value);
#line 66 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp1_ = _tmp0_;
#line 66 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	settings_manager_set_value (self, SETTINGS_MANAGER_GROUP_TIMER, "break_duration", _tmp1_);
#line 66 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_g_free0 (_tmp1_);
#line 67 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_signal_emit (self, settings_manager_signals[SETTINGS_MANAGER_TIMER_DURATION_CHANGED_SIGNAL], 0);
#line 1234 "SettingsManager.c"
}

gint
settings_manager_get_reminder_time (SettingsManager* self)
{
	gint result;
	gchar* time = NULL;
	gchar* _tmp0_;
#line 71 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 72 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp0_ = settings_manager_get_value (self, SETTINGS_MANAGER_GROUP_TIMER, "reminder_time", "60");
#line 72 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	time = _tmp0_;
#line 73 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	result = atoi (time);
#line 73 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_g_free0 (time);
#line 73 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	return result;
#line 1255 "SettingsManager.c"
}

void
settings_manager_set_reminder_time (SettingsManager* self,
                                    gint value)
{
	gchar* _tmp0_;
	gchar* _tmp1_;
#line 75 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 76 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp0_ = g_strdup_printf ("%i", value);
#line 76 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp1_ = _tmp0_;
#line 76 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	settings_manager_set_value (self, SETTINGS_MANAGER_GROUP_TIMER, "reminder_time", _tmp1_);
#line 76 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_g_free0 (_tmp1_);
#line 1274 "SettingsManager.c"
}

gboolean
settings_manager_get_reminder_active (SettingsManager* self)
{
	gboolean result;
	gint _tmp0_;
	gint _tmp1_;
#line 80 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 81 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp0_ = settings_manager_get_reminder_time (self);
#line 81 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp1_ = _tmp0_;
#line 81 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	result = _tmp1_ > 0;
#line 81 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	return result;
#line 1293 "SettingsManager.c"
}

gint
settings_manager_get_win_x (SettingsManager* self)
{
	gint result;
	gchar* x = NULL;
	gchar* _tmp0_;
#line 86 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 87 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp0_ = settings_manager_get_value (self, SETTINGS_MANAGER_GROUP_UI, "win_x", "-1");
#line 87 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	x = _tmp0_;
#line 88 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	result = atoi (x);
#line 88 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_g_free0 (x);
#line 88 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	return result;
#line 1314 "SettingsManager.c"
}

void
settings_manager_set_win_x (SettingsManager* self,
                            gint value)
{
	gchar* _tmp0_;
	gchar* _tmp1_;
#line 90 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 91 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp0_ = g_strdup_printf ("%i", value);
#line 91 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp1_ = _tmp0_;
#line 91 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	settings_manager_set_value (self, SETTINGS_MANAGER_GROUP_UI, "win_x", _tmp1_);
#line 91 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_g_free0 (_tmp1_);
#line 1333 "SettingsManager.c"
}

gint
settings_manager_get_win_y (SettingsManager* self)
{
	gint result;
	gchar* y = NULL;
	gchar* _tmp0_;
#line 95 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 96 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp0_ = settings_manager_get_value (self, SETTINGS_MANAGER_GROUP_UI, "win_y", "-1");
#line 96 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	y = _tmp0_;
#line 97 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	result = atoi (y);
#line 97 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_g_free0 (y);
#line 97 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	return result;
#line 1354 "SettingsManager.c"
}

void
settings_manager_set_win_y (SettingsManager* self,
                            gint value)
{
	gchar* _tmp0_;
	gchar* _tmp1_;
#line 99 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 100 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp0_ = g_strdup_printf ("%i", value);
#line 100 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp1_ = _tmp0_;
#line 100 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	settings_manager_set_value (self, SETTINGS_MANAGER_GROUP_UI, "win_y", _tmp1_);
#line 100 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_g_free0 (_tmp1_);
#line 1373 "SettingsManager.c"
}

gint
settings_manager_get_win_width (SettingsManager* self)
{
	gint result;
	gchar* width = NULL;
	gchar* _tmp0_;
#line 104 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 105 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp0_ = settings_manager_get_value (self, SETTINGS_MANAGER_GROUP_UI, "win_width", "350");
#line 105 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	width = _tmp0_;
#line 106 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	result = atoi (width);
#line 106 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_g_free0 (width);
#line 106 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	return result;
#line 1394 "SettingsManager.c"
}

void
settings_manager_set_win_width (SettingsManager* self,
                                gint value)
{
	gchar* _tmp0_;
	gchar* _tmp1_;
#line 108 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 109 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp0_ = g_strdup_printf ("%i", value);
#line 109 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp1_ = _tmp0_;
#line 109 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	settings_manager_set_value (self, SETTINGS_MANAGER_GROUP_UI, "win_width", _tmp1_);
#line 109 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_g_free0 (_tmp1_);
#line 1413 "SettingsManager.c"
}

gint
settings_manager_get_win_height (SettingsManager* self)
{
	gint result;
	gchar* height = NULL;
	gchar* _tmp0_;
#line 113 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 114 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp0_ = settings_manager_get_value (self, SETTINGS_MANAGER_GROUP_UI, "win_height", "650");
#line 114 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	height = _tmp0_;
#line 115 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	result = atoi (height);
#line 115 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_g_free0 (height);
#line 115 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	return result;
#line 1434 "SettingsManager.c"
}

void
settings_manager_set_win_height (SettingsManager* self,
                                 gint value)
{
	gchar* _tmp0_;
	gchar* _tmp1_;
#line 117 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 118 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp0_ = g_strdup_printf ("%i", value);
#line 118 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp1_ = _tmp0_;
#line 118 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	settings_manager_set_value (self, SETTINGS_MANAGER_GROUP_UI, "win_height", _tmp1_);
#line 118 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_g_free0 (_tmp1_);
#line 1453 "SettingsManager.c"
}

static gboolean
bool_parse (const gchar* str)
{
	gboolean result;
#line 44 "glib-2.0.vapi"
	g_return_val_if_fail (str != NULL, FALSE);
#line 45 "glib-2.0.vapi"
	if (g_strcmp0 (str, "true") == 0) {
#line 46 "glib-2.0.vapi"
		result = TRUE;
#line 46 "glib-2.0.vapi"
		return result;
#line 1468 "SettingsManager.c"
	} else {
#line 48 "glib-2.0.vapi"
		result = FALSE;
#line 48 "glib-2.0.vapi"
		return result;
#line 1474 "SettingsManager.c"
	}
}

gboolean
settings_manager_get_use_header_bar (SettingsManager* self)
{
	gboolean result;
	gchar* use_header_bar = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
#line 122 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 123 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp0_ = settings_manager_header_bar_default (self);
#line 123 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp1_ = _tmp0_;
#line 123 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp2_ = settings_manager_get_value (self, SETTINGS_MANAGER_GROUP_UI, "use_header_bar", _tmp1_);
#line 123 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp3_ = _tmp2_;
#line 123 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_g_free0 (_tmp1_);
#line 123 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	use_header_bar = _tmp3_;
#line 126 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	result = bool_parse (use_header_bar);
#line 126 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_g_free0 (use_header_bar);
#line 126 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	return result;
#line 1507 "SettingsManager.c"
}

static gchar*
bool_to_string (gboolean self)
{
	gchar* result;
#line 37 "glib-2.0.vapi"
	if (self) {
#line 1516 "SettingsManager.c"
		gchar* _tmp0_;
#line 38 "glib-2.0.vapi"
		_tmp0_ = g_strdup ("true");
#line 38 "glib-2.0.vapi"
		result = _tmp0_;
#line 38 "glib-2.0.vapi"
		return result;
#line 1524 "SettingsManager.c"
	} else {
		gchar* _tmp1_;
#line 40 "glib-2.0.vapi"
		_tmp1_ = g_strdup ("false");
#line 40 "glib-2.0.vapi"
		result = _tmp1_;
#line 40 "glib-2.0.vapi"
		return result;
#line 1533 "SettingsManager.c"
	}
}

void
settings_manager_set_use_header_bar (SettingsManager* self,
                                     gboolean value)
{
	gchar* _tmp0_;
	gchar* _tmp1_;
#line 128 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 129 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp0_ = bool_to_string (value);
#line 129 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp1_ = _tmp0_;
#line 129 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	settings_manager_set_value (self, SETTINGS_MANAGER_GROUP_UI, "use_header_bar", _tmp1_);
#line 129 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_g_free0 (_tmp1_);
#line 130 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_signal_emit (self, settings_manager_signals[SETTINGS_MANAGER_USE_HEADER_BAR_CHANGED_SIGNAL], 0);
#line 1555 "SettingsManager.c"
}

gboolean
settings_manager_get_use_dark_theme (SettingsManager* self)
{
	gboolean result;
	gchar* use_dark = NULL;
	gchar* _tmp0_;
#line 134 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 135 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp0_ = settings_manager_get_value (self, SETTINGS_MANAGER_GROUP_UI, "use_dark_theme", "false");
#line 135 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	use_dark = _tmp0_;
#line 138 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	result = bool_parse (use_dark);
#line 138 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_g_free0 (use_dark);
#line 138 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	return result;
#line 1576 "SettingsManager.c"
}

void
settings_manager_set_use_dark_theme (SettingsManager* self,
                                     gboolean value)
{
	gchar* _tmp0_;
	gchar* _tmp1_;
#line 140 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_if_fail (self != NULL);
#line 141 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp0_ = bool_to_string (value);
#line 141 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_tmp1_ = _tmp0_;
#line 141 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	settings_manager_set_value (self, SETTINGS_MANAGER_GROUP_UI, "use_dark_theme", _tmp1_);
#line 141 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_g_free0 (_tmp1_);
#line 142 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_signal_emit (self, settings_manager_signals[SETTINGS_MANAGER_USE_DARK_THEME_CHANGED_SIGNAL], 0, value);
#line 1597 "SettingsManager.c"
}

static void
value_settings_manager_init (GValue* value)
{
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	value->data[0].v_pointer = NULL;
#line 1605 "SettingsManager.c"
}

static void
value_settings_manager_free_value (GValue* value)
{
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	if (value->data[0].v_pointer) {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		settings_manager_unref (value->data[0].v_pointer);
#line 1615 "SettingsManager.c"
	}
}

static void
value_settings_manager_copy_value (const GValue* src_value,
                                   GValue* dest_value)
{
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	if (src_value->data[0].v_pointer) {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		dest_value->data[0].v_pointer = settings_manager_ref (src_value->data[0].v_pointer);
#line 1627 "SettingsManager.c"
	} else {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		dest_value->data[0].v_pointer = NULL;
#line 1631 "SettingsManager.c"
	}
}

static gpointer
value_settings_manager_peek_pointer (const GValue* value)
{
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	return value->data[0].v_pointer;
#line 1640 "SettingsManager.c"
}

static gchar*
value_settings_manager_collect_value (GValue* value,
                                      guint n_collect_values,
                                      GTypeCValue* collect_values,
                                      guint collect_flags)
{
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	if (collect_values[0].v_pointer) {
#line 1651 "SettingsManager.c"
		SettingsManager * object;
		object = collect_values[0].v_pointer;
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		if (object->parent_instance.g_class == NULL) {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			return g_strconcat ("invalid unclassed object pointer for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 1658 "SettingsManager.c"
		} else if (!g_value_type_compatible (G_TYPE_FROM_INSTANCE (object), G_VALUE_TYPE (value))) {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
			return g_strconcat ("invalid object type `", g_type_name (G_TYPE_FROM_INSTANCE (object)), "' for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 1662 "SettingsManager.c"
		}
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		value->data[0].v_pointer = settings_manager_ref (object);
#line 1666 "SettingsManager.c"
	} else {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		value->data[0].v_pointer = NULL;
#line 1670 "SettingsManager.c"
	}
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	return NULL;
#line 1674 "SettingsManager.c"
}

static gchar*
value_settings_manager_lcopy_value (const GValue* value,
                                    guint n_collect_values,
                                    GTypeCValue* collect_values,
                                    guint collect_flags)
{
	SettingsManager ** object_p;
	object_p = collect_values[0].v_pointer;
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	if (!object_p) {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		return g_strdup_printf ("value location for `%s' passed as NULL", G_VALUE_TYPE_NAME (value));
#line 1689 "SettingsManager.c"
	}
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	if (!value->data[0].v_pointer) {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		*object_p = NULL;
#line 1695 "SettingsManager.c"
	} else if (collect_flags & G_VALUE_NOCOPY_CONTENTS) {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		*object_p = value->data[0].v_pointer;
#line 1699 "SettingsManager.c"
	} else {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		*object_p = settings_manager_ref (value->data[0].v_pointer);
#line 1703 "SettingsManager.c"
	}
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	return NULL;
#line 1707 "SettingsManager.c"
}

GParamSpec*
param_spec_settings_manager (const gchar* name,
                             const gchar* nick,
                             const gchar* blurb,
                             GType object_type,
                             GParamFlags flags)
{
	ParamSpecSettingsManager* spec;
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_val_if_fail (g_type_is_a (object_type, TYPE_SETTINGS_MANAGER), NULL);
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	spec = g_param_spec_internal (G_TYPE_PARAM_OBJECT, name, nick, blurb, flags);
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	G_PARAM_SPEC (spec)->value_type = object_type;
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	return G_PARAM_SPEC (spec);
#line 1726 "SettingsManager.c"
}

gpointer
value_get_settings_manager (const GValue* value)
{
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_val_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_SETTINGS_MANAGER), NULL);
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	return value->data[0].v_pointer;
#line 1736 "SettingsManager.c"
}

void
value_set_settings_manager (GValue* value,
                            gpointer v_object)
{
	SettingsManager * old;
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_SETTINGS_MANAGER));
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	old = value->data[0].v_pointer;
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	if (v_object) {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_SETTINGS_MANAGER));
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		value->data[0].v_pointer = v_object;
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		settings_manager_ref (value->data[0].v_pointer);
#line 1758 "SettingsManager.c"
	} else {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		value->data[0].v_pointer = NULL;
#line 1762 "SettingsManager.c"
	}
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	if (old) {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		settings_manager_unref (old);
#line 1768 "SettingsManager.c"
	}
}

void
value_take_settings_manager (GValue* value,
                             gpointer v_object)
{
	SettingsManager * old;
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_SETTINGS_MANAGER));
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	old = value->data[0].v_pointer;
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	if (v_object) {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_SETTINGS_MANAGER));
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		value->data[0].v_pointer = v_object;
#line 1789 "SettingsManager.c"
	} else {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		value->data[0].v_pointer = NULL;
#line 1793 "SettingsManager.c"
	}
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	if (old) {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		settings_manager_unref (old);
#line 1799 "SettingsManager.c"
	}
}

static void
settings_manager_class_init (SettingsManagerClass * klass,
                             gpointer klass_data)
{
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	settings_manager_parent_class = g_type_class_peek_parent (klass);
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	((SettingsManagerClass *) klass)->finalize = settings_manager_finalize;
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_type_class_adjust_private_offset (klass, &SettingsManager_private_offset);
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	settings_manager_signals[SETTINGS_MANAGER_TODO_TXT_LOCATION_CHANGED_SIGNAL] = g_signal_new ("todo-txt-location-changed", TYPE_SETTINGS_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	settings_manager_signals[SETTINGS_MANAGER_TIMER_DURATION_CHANGED_SIGNAL] = g_signal_new ("timer-duration-changed", TYPE_SETTINGS_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	settings_manager_signals[SETTINGS_MANAGER_USE_DARK_THEME_CHANGED_SIGNAL] = g_signal_new ("use-dark-theme-changed", TYPE_SETTINGS_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__BOOLEAN, G_TYPE_NONE, 1, G_TYPE_BOOLEAN);
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	settings_manager_signals[SETTINGS_MANAGER_USE_HEADER_BAR_CHANGED_SIGNAL] = g_signal_new ("use-header-bar-changed", TYPE_SETTINGS_MANAGER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 1821 "SettingsManager.c"
}

static void
settings_manager_instance_init (SettingsManager * self,
                                gpointer klass)
{
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	self->priv = settings_manager_get_instance_private (self);
#line 34 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	self->first_start = FALSE;
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	self->ref_count = 1;
#line 1834 "SettingsManager.c"
}

static void
settings_manager_finalize (SettingsManager * obj)
{
	SettingsManager * self;
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_SETTINGS_MANAGER, SettingsManager);
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_signal_handlers_destroy (self);
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	_g_key_file_unref0 (self->priv->key_file);
#line 1847 "SettingsManager.c"
}

/**
 * A class that handles access to settings in a transparent manner.
 * Its main motivation is the option of easily replacing Glib.KeyFile with
 * another settings storage mechanism in the future.
 */
static GType
settings_manager_get_type_once (void)
{
	static const GTypeValueTable g_define_type_value_table = { value_settings_manager_init, value_settings_manager_free_value, value_settings_manager_copy_value, value_settings_manager_peek_pointer, "p", value_settings_manager_collect_value, "p", value_settings_manager_lcopy_value };
	static const GTypeInfo g_define_type_info = { sizeof (SettingsManagerClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) settings_manager_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (SettingsManager), 0, (GInstanceInitFunc) settings_manager_instance_init, &g_define_type_value_table };
	static const GTypeFundamentalInfo g_define_type_fundamental_info = { (G_TYPE_FLAG_CLASSED | G_TYPE_FLAG_INSTANTIATABLE | G_TYPE_FLAG_DERIVABLE | G_TYPE_FLAG_DEEP_DERIVABLE) };
	GType settings_manager_type_id;
	settings_manager_type_id = g_type_register_fundamental (g_type_fundamental_next (), "SettingsManager", &g_define_type_info, &g_define_type_fundamental_info, 0);
	SettingsManager_private_offset = g_type_add_instance_private (settings_manager_type_id, sizeof (SettingsManagerPrivate));
	return settings_manager_type_id;
}

GType
settings_manager_get_type (void)
{
	static volatile gsize settings_manager_type_id__once = 0;
	if (g_once_init_enter (&settings_manager_type_id__once)) {
		GType settings_manager_type_id;
		settings_manager_type_id = settings_manager_get_type_once ();
		g_once_init_leave (&settings_manager_type_id__once, settings_manager_type_id);
	}
	return settings_manager_type_id__once;
}

gpointer
settings_manager_ref (gpointer instance)
{
	SettingsManager * self;
	self = instance;
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	g_atomic_int_inc (&self->ref_count);
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	return instance;
#line 1888 "SettingsManager.c"
}

void
settings_manager_unref (gpointer instance)
{
	SettingsManager * self;
	self = instance;
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
	if (g_atomic_int_dec_and_test (&self->ref_count)) {
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		SETTINGS_MANAGER_GET_CLASS (self)->finalize (self);
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/SettingsManager.vala"
		g_type_free_instance ((GTypeInstance *) self);
#line 1902 "SettingsManager.c"
	}
}

static void
_vala_array_destroy (gpointer array,
                     gssize array_length,
                     GDestroyNotify destroy_func)
{
	if ((array != NULL) && (destroy_func != NULL)) {
		gssize i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}

static void
_vala_array_free (gpointer array,
                  gssize array_length,
                  GDestroyNotify destroy_func)
{
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}

