/* TaskStore.c generated by valac 0.56.14, the Vala compiler
 * generated from TaskStore.vala, do not modify */

/* Copyright 2014-2017 Go For It! developers
*
* This file is part of Go For It!.
*
* Go For It! is free software: you can redistribute it
* and/or modify it under the terms of version 3 of the
* GNU General Public License as published by the Free Software Foundation.
*
* Go For It! is distributed in the hope that it will be
* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
* Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with Go For It!. If not, see http://www.gnu.org/licenses/.
*/

#include <glib-object.h>
#include "com.github.jmoerman.go-for-it-0.h"
#include <glib.h>
#include <stdlib.h>

#define TYPE_TASK_STORE (task_store_get_type ())
#define TASK_STORE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_TASK_STORE, TaskStore))
#define TASK_STORE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_TASK_STORE, TaskStoreClass))
#define IS_TASK_STORE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_TASK_STORE))
#define IS_TASK_STORE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_TASK_STORE))
#define TASK_STORE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_TASK_STORE, TaskStoreClass))

typedef struct _TaskStore TaskStore;
typedef struct _TaskStoreClass TaskStoreClass;
typedef struct _TaskStorePrivate TaskStorePrivate;
enum  {
	TASK_STORE_0_PROPERTY,
	TASK_STORE_DONE_BY_DEFAULT_PROPERTY,
	TASK_STORE_NUM_PROPERTIES
};
static GParamSpec* task_store_properties[TASK_STORE_NUM_PROPERTIES];
enum  {
	TASK_STORE_TASK_DATA_CHANGED_SIGNAL,
	TASK_STORE_TASK_DONE_CHANGED_SIGNAL,
	TASK_STORE_TASK_BECAME_INVALID_SIGNAL,
	TASK_STORE_NUM_SIGNALS
};
static guint task_store_signals[TASK_STORE_NUM_SIGNALS] = {0};
#define _vala_assert(expr, msg) if G_LIKELY (expr) ; else g_assertion_message_expr (G_LOG_DOMAIN, __FILE__, __LINE__, G_STRFUNC, msg);
#define _vala_return_if_fail(expr, msg) if G_LIKELY (expr) ; else { g_return_if_fail_warning (G_LOG_DOMAIN, G_STRFUNC, msg); return; }
#define _vala_return_val_if_fail(expr, msg, val) if G_LIKELY (expr) ; else { g_return_if_fail_warning (G_LOG_DOMAIN, G_STRFUNC, msg); return val; }
#define _vala_warn_if_fail(expr, msg) if G_LIKELY (expr) ; else g_warn_message (G_LOG_DOMAIN, __FILE__, __LINE__, G_STRFUNC, msg);

struct _TaskStore {
	GObject parent_instance;
	TaskStorePrivate * priv;
};

struct _TaskStoreClass {
	GObjectClass parent_class;
};

struct _TaskStorePrivate {
	GQueue* tasks;
	GList* iter_link;
	gint iter_link_index;
	gboolean _done_by_default;
};

static gint TaskStore_private_offset;
static gpointer task_store_parent_class = NULL;
static DragListModelIface * task_store_drag_list_model_parent_iface = NULL;

VALA_EXTERN GType task_store_get_type (void) G_GNUC_CONST ;
static void _g_object_unref0_ (gpointer var);
static inline void _g_queue_free__g_object_unref0_ (GQueue* self);
VALA_EXTERN TaskStore* task_store_new (gboolean done_by_default);
VALA_EXTERN TaskStore* task_store_construct (GType object_type,
                                 gboolean done_by_default);
static void task_store_set_done_by_default (TaskStore* self,
                                     gboolean value);
static void task_store_move_iter_link_to_index (TaskStore* self,
                                         gint index);
VALA_EXTERN void task_store_add_task (TaskStore* self,
                          TodoTask* task);
static void task_store_on_task_done (TaskStore* self,
                              TodoTask* task);
static void _task_store_on_task_done_todo_task_done_changed (TodoTask* _sender,
                                                      gpointer self);
static void task_store_on_task_data_changed (TaskStore* self,
                                      TodoTask* task);
static void _task_store_on_task_data_changed_todo_task_data_changed (TodoTask* _sender,
                                                              gpointer self);
VALA_EXTERN void task_store_clear (TaskStore* self);
VALA_EXTERN void task_store_remove_task (TaskStore* self,
                             TodoTask* task);
static GType task_store_real_get_item_type (DragListModel* base);
static GObject* task_store_real_get_item (DragListModel* base,
                                   guint position);
static guint task_store_real_get_n_items (DragListModel* base);
static void task_store_real_move_item (DragListModel* base,
                                guint old_position,
                                guint new_position);
VALA_EXTERN gboolean task_store_get_done_by_default (TaskStore* self);
static void task_store_finalize (GObject * obj);
static GType task_store_get_type_once (void);
static void _vala_task_store_get_property (GObject * object,
                                    guint property_id,
                                    GValue * value,
                                    GParamSpec * pspec);
static void _vala_task_store_set_property (GObject * object,
                                    guint property_id,
                                    const GValue * value,
                                    GParamSpec * pspec);

static inline gpointer
task_store_get_instance_private (TaskStore* self)
{
	return G_STRUCT_MEMBER_P (self, TaskStore_private_offset);
}

static void
_g_object_unref0_ (gpointer var)
{
#line 19 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	(var == NULL) ? NULL : (var = (g_object_unref (var), NULL));
#line 128 "TaskStore.c"
}

static inline void
_g_queue_free__g_object_unref0_ (GQueue* self)
{
#line 19 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	g_queue_free_full (self, (GDestroyNotify) _g_object_unref0_);
#line 136 "TaskStore.c"
}

/**
     * Constructor of the TaskStore class
     */
TaskStore*
task_store_construct (GType object_type,
                      gboolean done_by_default)
{
	TaskStore * self = NULL;
	GQueue* _tmp0_;
#line 37 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	self = (TaskStore*) g_object_new (object_type, NULL);
#line 38 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	task_store_set_done_by_default (self, done_by_default);
#line 39 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	_tmp0_ = g_queue_new ();
#line 39 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	(self->priv->tasks == NULL) ? NULL : (self->priv->tasks = (_g_queue_free__g_object_unref0_ (self->priv->tasks), NULL));
#line 39 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	self->priv->tasks = _tmp0_;
#line 37 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	return self;
#line 160 "TaskStore.c"
}

TaskStore*
task_store_new (gboolean done_by_default)
{
#line 37 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	return task_store_construct (TYPE_TASK_STORE, done_by_default);
#line 168 "TaskStore.c"
}

static void
task_store_move_iter_link_to_index (TaskStore* self,
                                    gint index)
{
	GList* closest_link = NULL;
	gint distance = 0;
	gint distance_head = 0;
	gint distance_tail = 0;
	GQueue* _tmp0_;
	gint distance_iter = 0;
	GList* _tmp5_;
#line 42 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	g_return_if_fail (self != NULL);
#line 45 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	distance_head = index;
#line 46 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	_tmp0_ = self->priv->tasks;
#line 46 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	distance_tail = ((gint) _tmp0_->length) - 1;
#line 49 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	if (distance_tail < distance_head) {
#line 192 "TaskStore.c"
		GQueue* _tmp1_;
		GList* _tmp2_;
#line 50 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		_tmp1_ = self->priv->tasks;
#line 50 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		_tmp2_ = _tmp1_->tail;
#line 50 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		closest_link = _tmp2_;
#line 51 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		distance = -distance_tail;
#line 203 "TaskStore.c"
	} else {
		GQueue* _tmp3_;
		GList* _tmp4_;
#line 53 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		_tmp3_ = self->priv->tasks;
#line 53 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		_tmp4_ = _tmp3_->head;
#line 53 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		closest_link = _tmp4_;
#line 54 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		distance = distance_head;
#line 215 "TaskStore.c"
	}
#line 56 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	_tmp5_ = self->priv->iter_link;
#line 56 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	if (_tmp5_ != NULL) {
#line 57 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		distance_iter = index - self->priv->iter_link_index;
#line 58 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		if (abs (distance) > abs (distance_iter)) {
#line 225 "TaskStore.c"
			GList* _tmp6_;
#line 59 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
			distance = distance_iter;
#line 60 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
			_tmp6_ = self->priv->iter_link;
#line 60 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
			closest_link = _tmp6_;
#line 233 "TaskStore.c"
		}
	}
#line 64 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	if (distance > 0) {
#line 238 "TaskStore.c"
		GList* _tmp7_;
		GList* _tmp8_;
#line 65 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		_tmp7_ = closest_link;
#line 65 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		_tmp8_ = g_list_nth (_tmp7_, (guint) distance);
#line 65 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		self->priv->iter_link = _tmp8_;
#line 247 "TaskStore.c"
	} else {
		GList* _tmp9_;
		GList* _tmp10_;
#line 67 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		_tmp9_ = closest_link;
#line 67 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		_tmp10_ = g_list_nth_prev (_tmp9_, (guint) abs (distance));
#line 67 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		self->priv->iter_link = _tmp10_;
#line 257 "TaskStore.c"
	}
#line 69 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	self->priv->iter_link_index = index;
#line 261 "TaskStore.c"
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 74 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	return self ? g_object_ref (self) : NULL;
#line 269 "TaskStore.c"
}

static void
_task_store_on_task_done_todo_task_done_changed (TodoTask* _sender,
                                                 gpointer self)
{
#line 75 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	task_store_on_task_done ((TaskStore*) self, _sender);
#line 278 "TaskStore.c"
}

static void
_task_store_on_task_data_changed_todo_task_data_changed (TodoTask* _sender,
                                                         gpointer self)
{
#line 76 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	task_store_on_task_data_changed ((TaskStore*) self, _sender);
#line 287 "TaskStore.c"
}

void
task_store_add_task (TaskStore* self,
                     TodoTask* task)
{
	GQueue* _tmp0_;
	TodoTask* _tmp1_;
	GQueue* _tmp2_;
#line 72 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	g_return_if_fail (self != NULL);
#line 72 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	g_return_if_fail (task != NULL);
#line 73 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	self->priv->iter_link = NULL;
#line 74 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	_tmp0_ = self->priv->tasks;
#line 74 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	_tmp1_ = _g_object_ref0 (task);
#line 74 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	g_queue_push_tail (_tmp0_, _tmp1_);
#line 75 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	g_signal_connect_object (task, "done-changed", (GCallback) _task_store_on_task_done_todo_task_done_changed, self, 0);
#line 76 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	g_signal_connect_object (task, "data-changed", (GCallback) _task_store_on_task_data_changed_todo_task_data_changed, self, 0);
#line 77 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	_tmp2_ = self->priv->tasks;
#line 77 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	g_signal_emit_by_name ((DragListModel*) self, "items-changed", _tmp2_->length - 1, (guint) 0, (guint) 1);
#line 317 "TaskStore.c"
}

void
task_store_clear (TaskStore* self)
{
	GQueue* _tmp0_;
	GQueue* _tmp1_;
#line 80 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	g_return_if_fail (self != NULL);
#line 81 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	self->priv->iter_link = NULL;
#line 82 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	_tmp0_ = self->priv->tasks;
#line 82 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	g_signal_emit_by_name ((DragListModel*) self, "items-changed", (guint) 0, _tmp0_->length, (guint) 0);
#line 83 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	_tmp1_ = self->priv->tasks;
#line 83 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	g_queue_clear (_tmp1_);
#line 337 "TaskStore.c"
}

void
task_store_remove_task (TaskStore* self,
                        TodoTask* task)
{
	guint i = 0U;
	GList* iter = NULL;
	GQueue* _tmp0_;
	GList* _tmp1_;
	GList* _tmp9_;
	guint _tmp10_;
	guint _tmp11_;
	GQueue* _tmp12_;
	GList* _tmp13_;
#line 86 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	g_return_if_fail (self != NULL);
#line 86 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	g_return_if_fail (task != NULL);
#line 87 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	self->priv->iter_link = NULL;
#line 88 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	i = (guint) 0;
#line 89 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	_tmp0_ = self->priv->tasks;
#line 89 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	_tmp1_ = _tmp0_->head;
#line 89 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	iter = _tmp1_;
#line 90 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	while (TRUE) {
#line 369 "TaskStore.c"
		gboolean _tmp2_ = FALSE;
		GList* _tmp3_;
		GList* _tmp6_;
		GList* _tmp7_;
		guint _tmp8_;
#line 90 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		_tmp3_ = iter;
#line 90 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		if (_tmp3_ != NULL) {
#line 379 "TaskStore.c"
			GList* _tmp4_;
			gconstpointer _tmp5_;
#line 90 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
			_tmp4_ = iter;
#line 90 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
			_tmp5_ = _tmp4_->data;
#line 90 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
			_tmp2_ = ((TodoTask*) _tmp5_) != task;
#line 388 "TaskStore.c"
		} else {
#line 90 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
			_tmp2_ = FALSE;
#line 392 "TaskStore.c"
		}
#line 90 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		if (!_tmp2_) {
#line 90 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
			break;
#line 398 "TaskStore.c"
		}
#line 91 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		_tmp6_ = iter;
#line 91 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		_tmp7_ = _tmp6_->next;
#line 91 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		iter = _tmp7_;
#line 92 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		_tmp8_ = i;
#line 92 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		i = _tmp8_ + 1;
#line 410 "TaskStore.c"
	}
#line 94 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	_tmp9_ = iter;
#line 94 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	_vala_assert (_tmp9_ != NULL, "iter != null");
#line 95 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	g_signal_parse_name ("done-changed", TYPE_TODO_TASK, &_tmp10_, NULL, FALSE);
#line 95 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	g_signal_handlers_disconnect_matched (task, G_SIGNAL_MATCH_ID | G_SIGNAL_MATCH_FUNC | G_SIGNAL_MATCH_DATA, _tmp10_, 0, NULL, (GCallback) _task_store_on_task_done_todo_task_done_changed, self);
#line 96 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	g_signal_parse_name ("data-changed", TYPE_TODO_TASK, &_tmp11_, NULL, FALSE);
#line 96 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	g_signal_handlers_disconnect_matched (task, G_SIGNAL_MATCH_ID | G_SIGNAL_MATCH_FUNC | G_SIGNAL_MATCH_DATA, _tmp11_, 0, NULL, (GCallback) _task_store_on_task_data_changed_todo_task_data_changed, self);
#line 97 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	_tmp12_ = self->priv->tasks;
#line 97 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	_tmp13_ = iter;
#line 97 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	g_queue_delete_link (_tmp12_, _tmp13_);
#line 98 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	g_signal_emit_by_name ((DragListModel*) self, "items-changed", i, (guint) 1, (guint) 0);
#line 432 "TaskStore.c"
}

static GType
task_store_real_get_item_type (DragListModel* base)
{
	TaskStore * self;
	GType result;
#line 101 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	self = (TaskStore*) base;
#line 102 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	result = TYPE_TODO_TASK;
#line 102 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	return result;
#line 446 "TaskStore.c"
}

static GObject*
task_store_real_get_item (DragListModel* base,
                          guint position)
{
	TaskStore * self;
	GQueue* _tmp0_;
	GObject* result;
#line 105 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	self = (TaskStore*) base;
#line 106 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	_vala_assert (((gint) position) >= 0, "((int)position) >= 0");
#line 107 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	_tmp0_ = self->priv->tasks;
#line 107 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	if (position < _tmp0_->length) {
#line 464 "TaskStore.c"
		GList* _tmp1_;
		gconstpointer _tmp2_;
		GObject* _tmp3_;
#line 108 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		task_store_move_iter_link_to_index (self, (gint) position);
#line 109 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		_tmp1_ = self->priv->iter_link;
#line 109 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		_tmp2_ = _tmp1_->data;
#line 109 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		_tmp3_ = _g_object_ref0 ((GObject*) ((TodoTask*) _tmp2_));
#line 109 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		result = _tmp3_;
#line 109 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		return result;
#line 480 "TaskStore.c"
	}
#line 111 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	result = NULL;
#line 111 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	return result;
#line 486 "TaskStore.c"
}

static guint
task_store_real_get_n_items (DragListModel* base)
{
	TaskStore * self;
	GQueue* _tmp0_;
	guint result;
#line 114 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	self = (TaskStore*) base;
#line 115 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	_tmp0_ = self->priv->tasks;
#line 115 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	result = _tmp0_->length;
#line 115 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	return result;
#line 503 "TaskStore.c"
}

static void
task_store_real_move_item (DragListModel* base,
                           guint old_position,
                           guint new_position)
{
	TaskStore * self;
	gboolean _tmp0_ = FALSE;
	GQueue* _tmp1_;
	GQueue* _tmp2_;
	gpointer _tmp3_;
#line 118 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	self = (TaskStore*) base;
#line 119 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	if (((gint) old_position) >= 0) {
#line 119 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		_tmp0_ = ((gint) new_position) >= 0;
#line 522 "TaskStore.c"
	} else {
#line 119 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		_tmp0_ = FALSE;
#line 526 "TaskStore.c"
	}
#line 119 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	_vala_assert (_tmp0_, "((int)old_position) >= 0 && ((int)new_position) >= 0");
#line 120 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	if (old_position == new_position) {
#line 121 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		return;
#line 534 "TaskStore.c"
	}
#line 123 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	self->priv->iter_link = NULL;
#line 124 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	_tmp1_ = self->priv->tasks;
#line 124 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	_tmp2_ = self->priv->tasks;
#line 124 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	_tmp3_ = g_queue_pop_nth (_tmp2_, old_position);
#line 124 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	g_queue_push_nth (_tmp1_, (TodoTask*) _tmp3_, (gint) new_position);
#line 125 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	g_signal_emit (self, task_store_signals[TASK_STORE_TASK_DATA_CHANGED_SIGNAL], 0);
#line 548 "TaskStore.c"
}

static void
task_store_on_task_done (TaskStore* self,
                         TodoTask* task)
{
#line 128 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	g_return_if_fail (self != NULL);
#line 128 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	g_return_if_fail (task != NULL);
#line 129 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	g_signal_emit (self, task_store_signals[TASK_STORE_TASK_DONE_CHANGED_SIGNAL], 0, task);
#line 561 "TaskStore.c"
}

static void
task_store_on_task_data_changed (TaskStore* self,
                                 TodoTask* task)
{
	gboolean _tmp0_;
	gboolean _tmp1_;
#line 132 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	g_return_if_fail (self != NULL);
#line 132 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	g_return_if_fail (task != NULL);
#line 133 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	_tmp0_ = todo_task_get_valid (task);
#line 133 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	_tmp1_ = _tmp0_;
#line 133 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	if (_tmp1_) {
#line 134 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		g_signal_emit (self, task_store_signals[TASK_STORE_TASK_DATA_CHANGED_SIGNAL], 0);
#line 582 "TaskStore.c"
	} else {
#line 136 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		g_signal_emit (self, task_store_signals[TASK_STORE_TASK_BECAME_INVALID_SIGNAL], 0, task);
#line 586 "TaskStore.c"
	}
}

gboolean
task_store_get_done_by_default (TaskStore* self)
{
	gboolean result;
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	result = self->priv->_done_by_default;
#line 24 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	return result;
#line 600 "TaskStore.c"
}

static void
task_store_set_done_by_default (TaskStore* self,
                                gboolean value)
{
	gboolean old_value;
#line 25 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	g_return_if_fail (self != NULL);
#line 25 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	old_value = task_store_get_done_by_default (self);
#line 25 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	if (old_value != value) {
#line 25 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		self->priv->_done_by_default = value;
#line 25 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		g_object_notify_by_pspec ((GObject *) self, task_store_properties[TASK_STORE_DONE_BY_DEFAULT_PROPERTY]);
#line 618 "TaskStore.c"
	}
}

static void
task_store_class_init (TaskStoreClass * klass,
                       gpointer klass_data)
{
#line 18 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	task_store_parent_class = g_type_class_peek_parent (klass);
#line 18 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	g_type_class_adjust_private_offset (klass, &TaskStore_private_offset);
#line 18 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_task_store_get_property;
#line 18 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_task_store_set_property;
#line 18 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	G_OBJECT_CLASS (klass)->finalize = task_store_finalize;
#line 18 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), TASK_STORE_DONE_BY_DEFAULT_PROPERTY, task_store_properties[TASK_STORE_DONE_BY_DEFAULT_PROPERTY] = g_param_spec_boolean ("done-by-default", "done-by-default", "done-by-default", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE));
#line 18 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	task_store_signals[TASK_STORE_TASK_DATA_CHANGED_SIGNAL] = g_signal_new ("task-data-changed", TYPE_TASK_STORE, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 18 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	task_store_signals[TASK_STORE_TASK_DONE_CHANGED_SIGNAL] = g_signal_new ("task-done-changed", TYPE_TASK_STORE, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__OBJECT, G_TYPE_NONE, 1, TYPE_TODO_TASK);
#line 18 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	task_store_signals[TASK_STORE_TASK_BECAME_INVALID_SIGNAL] = g_signal_new ("task-became-invalid", TYPE_TASK_STORE, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__OBJECT, G_TYPE_NONE, 1, TYPE_TODO_TASK);
#line 644 "TaskStore.c"
}

static void
task_store_drag_list_model_interface_init (DragListModelIface * iface,
                                           gpointer iface_data)
{
#line 18 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	task_store_drag_list_model_parent_iface = g_type_interface_peek_parent (iface);
#line 18 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	iface->get_item_type = (GType (*) (DragListModel*)) task_store_real_get_item_type;
#line 18 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	iface->get_item = (GObject* (*) (DragListModel*, guint)) task_store_real_get_item;
#line 18 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	iface->get_n_items = (guint (*) (DragListModel*)) task_store_real_get_n_items;
#line 18 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	iface->move_item = (void (*) (DragListModel*, guint, guint)) task_store_real_move_item;
#line 661 "TaskStore.c"
}

static void
task_store_instance_init (TaskStore * self,
                          gpointer klass)
{
#line 18 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	self->priv = task_store_get_instance_private (self);
#line 670 "TaskStore.c"
}

static void
task_store_finalize (GObject * obj)
{
	TaskStore * self;
#line 18 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_TASK_STORE, TaskStore);
#line 19 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	(self->priv->tasks == NULL) ? NULL : (self->priv->tasks = (_g_queue_free__g_object_unref0_ (self->priv->tasks), NULL));
#line 18 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	G_OBJECT_CLASS (task_store_parent_class)->finalize (obj);
#line 683 "TaskStore.c"
}

static GType
task_store_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (TaskStoreClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) task_store_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (TaskStore), 0, (GInstanceInitFunc) task_store_instance_init, NULL };
	static const GInterfaceInfo drag_list_model_info = { (GInterfaceInitFunc) task_store_drag_list_model_interface_init, (GInterfaceFinalizeFunc) NULL, NULL};
	GType task_store_type_id;
	task_store_type_id = g_type_register_static (G_TYPE_OBJECT, "TaskStore", &g_define_type_info, 0);
	g_type_add_interface_static (task_store_type_id, TYPE_DRAG_LIST_MODEL, &drag_list_model_info);
	TaskStore_private_offset = g_type_add_instance_private (task_store_type_id, sizeof (TaskStorePrivate));
	return task_store_type_id;
}

GType
task_store_get_type (void)
{
	static volatile gsize task_store_type_id__once = 0;
	if (g_once_init_enter (&task_store_type_id__once)) {
		GType task_store_type_id;
		task_store_type_id = task_store_get_type_once ();
		g_once_init_leave (&task_store_type_id__once, task_store_type_id);
	}
	return task_store_type_id__once;
}

static void
_vala_task_store_get_property (GObject * object,
                               guint property_id,
                               GValue * value,
                               GParamSpec * pspec)
{
	TaskStore * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, TYPE_TASK_STORE, TaskStore);
#line 18 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	switch (property_id) {
#line 18 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		case TASK_STORE_DONE_BY_DEFAULT_PROPERTY:
#line 18 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		g_value_set_boolean (value, task_store_get_done_by_default (self));
#line 18 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		break;
#line 726 "TaskStore.c"
		default:
#line 18 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 18 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		break;
#line 732 "TaskStore.c"
	}
}

static void
_vala_task_store_set_property (GObject * object,
                               guint property_id,
                               const GValue * value,
                               GParamSpec * pspec)
{
	TaskStore * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, TYPE_TASK_STORE, TaskStore);
#line 18 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
	switch (property_id) {
#line 18 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		case TASK_STORE_DONE_BY_DEFAULT_PROPERTY:
#line 18 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		task_store_set_done_by_default (self, g_value_get_boolean (value));
#line 18 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		break;
#line 752 "TaskStore.c"
		default:
#line 18 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 18 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/TaskStore.vala"
		break;
#line 758 "TaskStore.c"
	}
}

