/* TimerView.c generated by valac 0.56.14, the Vala compiler
 * generated from TimerView.vala, do not modify */

/* Copyright 2014-2017 Go For It! developers
*
* This file is part of Go For It!.
*
* Go For It! is free software: you can redistribute it
* and/or modify it under the terms of version 3 of the
* GNU General Public License as published by the Free Software Foundation.
*
* Go For It! is distributed in the hope that it will be
* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
* Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with Go For It!. If not, see http://www.gnu.org/licenses/.
*/

#include "com.github.jmoerman.go-for-it-0.h"
#include <gtk/gtk.h>
#include <glib-object.h>
#include <glib.h>
#include <float.h>
#include <math.h>
#include <glib/gi18n-lib.h>
#include <stdlib.h>
#include <string.h>

enum  {
	TIMER_VIEW_0_PROPERTY,
	TIMER_VIEW_NUM_PROPERTIES
};
static GParamSpec* timer_view_properties[TIMER_VIEW_NUM_PROPERTIES];
#define _task_timer_unref0(var) ((var == NULL) ? NULL : (var = (task_timer_unref (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_date_time_unref0(var) ((var == NULL) ? NULL : (var = (g_date_time_unref (var), NULL)))
typedef struct _Block3Data Block3Data;

struct _TimerViewPrivate {
	TaskTimer* timer;
	GtkProgressBar* progress;
	GtkLabel* task_status_lbl;
	GtkLabel* task_description_lbl;
	GtkGrid* timer_grid;
	GtkSpinButton* h_spin;
	GtkSpinButton* m_spin;
	GtkSpinButton* s_spin;
	GtkGrid* action_grid;
	GtkGrid* action_timer_grid;
	GtkGrid* action_task_grid;
	GtkButton* run_btn;
	GtkButton* skip_btn;
};

struct _Block3Data {
	int _ref_count_;
	TimerView* self;
	GtkSpinButton* spin;
};

static gint TimerView_private_offset;
static gpointer timer_view_parent_class = NULL;

static void timer_view_setup_task_widgets (TimerView* self);
static void timer_view_setup_timer_container (TimerView* self);
static void timer_view_setup_action_container (TimerView* self);
static void timer_view_setup_progress_bar (TimerView* self);
static void _timer_view_set_time_task_timer_timer_updated (TaskTimer* _sender,
                                                    GDateTime* remaining_duration,
                                                    gpointer self);
static void _timer_view_set_running_task_timer_timer_running_changed (TaskTimer* _sender,
                                                               gboolean running,
                                                               gpointer self);
static void timer_view_timer_active_task_changed (TimerView* self,
                                           TodoTask* task,
                                           gboolean break_active);
static void _timer_view_timer_active_task_changed_task_timer_active_task_changed (TaskTimer* _sender,
                                                                           TodoTask* task,
                                                                           gboolean break_active,
                                                                           gpointer self);
static void __lambda26_ (TimerView* self,
                  TaskTimer* s,
                  gdouble p);
static void ___lambda26__task_timer_timer_updated_relative (TaskTimer* _sender,
                                                     gdouble progress,
                                                     gpointer self);
static void timer_view_update_title (TimerView* self,
                              TodoTask* task);
static void _timer_view_update_title_task_timer_active_task_title_changed (TaskTimer* _sender,
                                                                    TodoTask* task,
                                                                    gpointer self);
static void timer_view_on_run_btn_clicked (TimerView* self);
static void timer_view_use_leading_zeros (TimerView* self,
                                   GtkSpinButton* spin);
static void __lambda21_ (TimerView* self);
static void ___lambda21__gtk_spin_button_value_changed (GtkSpinButton* _sender,
                                                 gpointer self);
static void __lambda22_ (TimerView* self);
static void ___lambda22__gtk_spin_button_value_changed (GtkSpinButton* _sender,
                                                 gpointer self);
static void __lambda23_ (TimerView* self);
static void ___lambda23__gtk_spin_button_value_changed (GtkSpinButton* _sender,
                                                 gpointer self);
static Block3Data* block3_data_ref (Block3Data* _data3_);
static void block3_data_unref (void * _userdata_);
static gboolean __lambda20_ (Block3Data* _data3_,
                      GtkSpinButton* s);
static gboolean ___lambda20__gtk_spin_button_output (GtkSpinButton* _sender,
                                              gpointer self);
static void __lambda24_ (TimerView* self,
                  GtkButton* e);
static void ___lambda24__gtk_button_clicked (GtkButton* _sender,
                                      gpointer self);
static void __lambda25_ (TimerView* self,
                  GtkButton* e);
static void ___lambda25__gtk_button_clicked (GtkButton* _sender,
                                      gpointer self);
static void _timer_view_on_run_btn_clicked_gtk_button_clicked (GtkButton* _sender,
                                                        gpointer self);
static void timer_view_real_show_all (GtkWidget* base);
static void timer_view_finalize (GObject * obj);
static GType timer_view_get_type_once (void);

static inline gpointer
timer_view_get_instance_private (TimerView* self)
{
	return G_STRUCT_MEMBER_P (self, TimerView_private_offset);
}

static gpointer
_task_timer_ref0 (gpointer self)
{
#line 41 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	return self ? task_timer_ref (self) : NULL;
#line 139 "TimerView.c"
}

static void
_timer_view_set_time_task_timer_timer_updated (TaskTimer* _sender,
                                               GDateTime* remaining_duration,
                                               gpointer self)
{
#line 55 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	timer_view_set_time ((TimerView*) self, remaining_duration);
#line 149 "TimerView.c"
}

static void
_timer_view_set_running_task_timer_timer_running_changed (TaskTimer* _sender,
                                                          gboolean running,
                                                          gpointer self)
{
#line 56 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	timer_view_set_running ((TimerView*) self, running);
#line 159 "TimerView.c"
}

static void
_timer_view_timer_active_task_changed_task_timer_active_task_changed (TaskTimer* _sender,
                                                                      TodoTask* task,
                                                                      gboolean break_active,
                                                                      gpointer self)
{
#line 57 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	timer_view_timer_active_task_changed ((TimerView*) self, task, break_active);
#line 170 "TimerView.c"
}

static void
__lambda26_ (TimerView* self,
             TaskTimer* s,
             gdouble p)
{
	GtkProgressBar* _tmp0_;
#line 58 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_return_if_fail (s != NULL);
#line 59 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp0_ = self->priv->progress;
#line 59 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_progress_bar_set_fraction (_tmp0_, p);
#line 185 "TimerView.c"
}

static void
___lambda26__task_timer_timer_updated_relative (TaskTimer* _sender,
                                                gdouble progress,
                                                gpointer self)
{
#line 58 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	__lambda26_ ((TimerView*) self, _sender, progress);
#line 195 "TimerView.c"
}

static void
_timer_view_update_title_task_timer_active_task_title_changed (TaskTimer* _sender,
                                                               TodoTask* task,
                                                               gpointer self)
{
#line 61 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	timer_view_update_title ((TimerView*) self, task);
#line 205 "TimerView.c"
}

TimerView*
timer_view_construct (GType object_type,
                      TaskTimer* timer)
{
	TimerView * self = NULL;
	TaskTimer* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 40 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_return_val_if_fail (timer != NULL, NULL);
#line 40 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	self = (TimerView*) g_object_new (object_type, NULL);
#line 41 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp0_ = _task_timer_ref0 (timer);
#line 41 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_task_timer_unref0 (self->priv->timer);
#line 41 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	self->priv->timer = _tmp0_;
#line 44 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) self, GTK_ORIENTATION_VERTICAL);
#line 45 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_object_set ((GtkWidget*) self, "expand", TRUE, NULL);
#line 47 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	timer_view_setup_task_widgets (self);
#line 48 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	timer_view_setup_timer_container (self);
#line 49 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	timer_view_setup_action_container (self);
#line 50 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	timer_view_setup_progress_bar (self);
#line 52 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp1_ = task_timer_get_running (timer);
#line 52 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp2_ = _tmp1_;
#line 52 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	timer_view_set_running (self, _tmp2_);
#line 55 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_signal_connect_object (timer, "timer-updated", (GCallback) _timer_view_set_time_task_timer_timer_updated, self, 0);
#line 56 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_signal_connect_object (timer, "timer-running-changed", (GCallback) _timer_view_set_running_task_timer_timer_running_changed, self, 0);
#line 57 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_signal_connect_object (timer, "active-task-changed", (GCallback) _timer_view_timer_active_task_changed_task_timer_active_task_changed, self, 0);
#line 58 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_signal_connect_object (timer, "timer-updated-relative", (GCallback) ___lambda26__task_timer_timer_updated_relative, self, 0);
#line 61 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_signal_connect_object (timer, "active-task-title-changed", (GCallback) _timer_view_update_title_task_timer_active_task_title_changed, self, 0);
#line 64 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	task_timer_update (timer);
#line 40 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	return self;
#line 258 "TimerView.c"
}

TimerView*
timer_view_new (TaskTimer* timer)
{
#line 40 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	return timer_view_construct (TYPE_TIMER_VIEW, timer);
#line 266 "TimerView.c"
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 74 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	return self ? g_object_ref (self) : NULL;
#line 274 "TimerView.c"
}

static void
timer_view_timer_active_task_changed (TimerView* self,
                                      TodoTask* task,
                                      gboolean break_active)
{
	GtkStyleContext* style = NULL;
	GtkLabel* _tmp0_;
	GtkStyleContext* _tmp1_;
	GtkStyleContext* _tmp2_;
#line 67 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_return_if_fail (self != NULL);
#line 68 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	if (task == NULL) {
#line 69 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		timer_view_show_no_task (self);
#line 70 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		return;
#line 294 "TimerView.c"
	}
#line 73 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	timer_view_update_title (self, task);
#line 74 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp0_ = self->priv->task_description_lbl;
#line 74 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp1_ = gtk_widget_get_style_context ((GtkWidget*) _tmp0_);
#line 74 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 74 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	style = _tmp2_;
#line 77 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	if (break_active) {
#line 308 "TimerView.c"
		GtkLabel* _tmp3_;
		gchar* _tmp4_;
		gchar* _tmp5_;
		GtkStyleContext* _tmp6_;
		GtkStyleContext* _tmp7_;
#line 78 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		_tmp3_ = self->priv->task_status_lbl;
#line 78 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		_tmp4_ = g_strconcat (_ ("Take a Break"), "!", NULL);
#line 78 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		_tmp5_ = _tmp4_;
#line 78 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		gtk_label_set_label (_tmp3_, _tmp5_);
#line 78 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		_g_free0 (_tmp5_);
#line 79 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		_tmp6_ = style;
#line 79 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		gtk_style_context_remove_class (_tmp6_, "task_active");
#line 80 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		_tmp7_ = style;
#line 80 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		gtk_style_context_add_class (_tmp7_, "task_break");
#line 332 "TimerView.c"
	} else {
		GtkLabel* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
		GtkStyleContext* _tmp11_;
		GtkStyleContext* _tmp12_;
		GtkButton* _tmp13_;
#line 82 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		_tmp8_ = self->priv->task_status_lbl;
#line 82 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		_tmp9_ = g_strconcat (_ ("Active Task"), ":", NULL);
#line 82 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		_tmp10_ = _tmp9_;
#line 82 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		gtk_label_set_label (_tmp8_, _tmp10_);
#line 82 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		_g_free0 (_tmp10_);
#line 83 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		_tmp11_ = style;
#line 83 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		gtk_style_context_remove_class (_tmp11_, "task_break");
#line 84 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		_tmp12_ = style;
#line 84 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		gtk_style_context_add_class (_tmp12_, "task_active");
#line 85 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		_tmp13_ = self->done_btn;
#line 85 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		gtk_widget_set_visible ((GtkWidget*) _tmp13_, TRUE);
#line 362 "TimerView.c"
	}
#line 67 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_object_unref0 (style);
#line 366 "TimerView.c"
}

static void
timer_view_update_title (TimerView* self,
                         TodoTask* task)
{
	GtkLabel* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
#line 89 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_return_if_fail (self != NULL);
#line 89 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_return_if_fail (task != NULL);
#line 90 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp0_ = self->priv->task_description_lbl;
#line 90 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp1_ = todo_task_get_title (task);
#line 90 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp2_ = _tmp1_;
#line 90 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_label_set_label (_tmp0_, _tmp2_);
#line 388 "TimerView.c"
}

void
timer_view_set_time (TimerView* self,
                     GDateTime* time)
{
	GtkSpinButton* _tmp0_;
	GtkSpinButton* _tmp1_;
	GtkSpinButton* _tmp2_;
#line 93 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_return_if_fail (self != NULL);
#line 93 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_return_if_fail (time != NULL);
#line 94 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp0_ = self->priv->h_spin;
#line 94 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_spin_button_set_value (_tmp0_, (gdouble) g_date_time_get_hour (time));
#line 95 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp1_ = self->priv->m_spin;
#line 95 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_spin_button_set_value (_tmp1_, (gdouble) g_date_time_get_minute (time));
#line 96 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp2_ = self->priv->s_spin;
#line 96 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_spin_button_set_value (_tmp2_, (gdouble) g_date_time_get_second (time));
#line 414 "TimerView.c"
}

void
timer_view_set_running (TimerView* self,
                        gboolean running)
{
	GtkButton* _tmp0_;
	TaskTimer* _tmp1_;
	gboolean _tmp2_;
	gboolean _tmp3_;
#line 99 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_return_if_fail (self != NULL);
#line 100 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp0_ = self->done_btn;
#line 100 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp1_ = self->priv->timer;
#line 100 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp2_ = task_timer_get_break_active (_tmp1_);
#line 100 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp3_ = _tmp2_;
#line 100 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp0_, !_tmp3_);
#line 102 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	if (running) {
#line 439 "TimerView.c"
		GtkButton* _tmp4_;
		GtkButton* _tmp5_;
		GtkStyleContext* _tmp6_;
#line 103 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		_tmp4_ = self->priv->run_btn;
#line 103 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		gtk_button_set_label (_tmp4_, _ ("Pau_se"));
#line 104 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		_tmp5_ = self->priv->run_btn;
#line 104 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		_tmp6_ = gtk_widget_get_style_context ((GtkWidget*) _tmp5_);
#line 104 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		gtk_style_context_remove_class (_tmp6_, "suggested-action");
#line 453 "TimerView.c"
	} else {
		GtkButton* _tmp7_;
		GtkButton* _tmp8_;
		GtkStyleContext* _tmp9_;
#line 106 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		_tmp7_ = self->priv->run_btn;
#line 106 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		gtk_button_set_label (_tmp7_, _ ("_Start"));
#line 107 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		_tmp8_ = self->priv->run_btn;
#line 107 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		_tmp9_ = gtk_widget_get_style_context ((GtkWidget*) _tmp8_);
#line 107 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		gtk_style_context_add_class (_tmp9_, "suggested-action");
#line 468 "TimerView.c"
	}
}

static void
timer_view_on_run_btn_clicked (TimerView* self)
{
	TaskTimer* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 111 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_return_if_fail (self != NULL);
#line 112 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp0_ = self->priv->timer;
#line 112 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp1_ = task_timer_get_running (_tmp0_);
#line 112 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp2_ = _tmp1_;
#line 112 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	if (_tmp2_) {
#line 488 "TimerView.c"
		TaskTimer* _tmp3_;
#line 113 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		_tmp3_ = self->priv->timer;
#line 113 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		task_timer_stop (_tmp3_);
#line 494 "TimerView.c"
	} else {
		TaskTimer* _tmp4_;
#line 116 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		_tmp4_ = self->priv->timer;
#line 116 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		task_timer_start (_tmp4_);
#line 501 "TimerView.c"
	}
}

GDateTime*
timer_view_get_timer_values (TimerView* self)
{
	GDateTime* duration = NULL;
	GDateTime* _tmp0_;
	GDateTime* _tmp1_;
	GtkSpinButton* _tmp2_;
	gdouble _tmp3_;
	gdouble _tmp4_;
	GDateTime* _tmp5_;
	GDateTime* _tmp6_;
	GtkSpinButton* _tmp7_;
	gdouble _tmp8_;
	gdouble _tmp9_;
	GDateTime* _tmp10_;
	GDateTime* _tmp11_;
	GtkSpinButton* _tmp12_;
	gdouble _tmp13_;
	gdouble _tmp14_;
	GDateTime* _tmp15_;
	GDateTime* result;
#line 120 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 121 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp0_ = g_date_time_new_from_unix_utc ((gint64) 0);
#line 121 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	duration = _tmp0_;
#line 122 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp1_ = duration;
#line 122 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp2_ = self->priv->h_spin;
#line 122 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp3_ = gtk_spin_button_get_value (_tmp2_);
#line 122 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp4_ = _tmp3_;
#line 122 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp5_ = g_date_time_add_hours (_tmp1_, (gint) _tmp4_);
#line 122 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_date_time_unref0 (duration);
#line 122 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	duration = _tmp5_;
#line 123 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp6_ = duration;
#line 123 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp7_ = self->priv->m_spin;
#line 123 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp8_ = gtk_spin_button_get_value (_tmp7_);
#line 123 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp9_ = _tmp8_;
#line 123 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp10_ = g_date_time_add_minutes (_tmp6_, (gint) _tmp9_);
#line 123 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_date_time_unref0 (duration);
#line 123 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	duration = _tmp10_;
#line 124 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp11_ = duration;
#line 124 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp12_ = self->priv->s_spin;
#line 124 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp13_ = gtk_spin_button_get_value (_tmp12_);
#line 124 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp14_ = _tmp13_;
#line 124 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp15_ = g_date_time_add_seconds (_tmp11_, _tmp14_);
#line 124 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_date_time_unref0 (duration);
#line 124 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	duration = _tmp15_;
#line 125 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	result = duration;
#line 125 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	return result;
#line 578 "TimerView.c"
}

/**
     * Configures the widgets that indicate the active task and its progress
     */
static void
timer_view_setup_task_widgets (TimerView* self)
{
	GtkLabel* _tmp0_;
	GtkLabel* _tmp1_;
	GtkLabel* _tmp2_;
	GtkLabel* _tmp3_;
	GtkStyleContext* _tmp4_;
	GtkLabel* _tmp5_;
	GtkLabel* _tmp6_;
	GtkLabel* _tmp7_;
	GtkLabel* _tmp8_;
	GtkLabel* _tmp9_;
	GtkLabel* _tmp10_;
#line 131 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_return_if_fail (self != NULL);
#line 133 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp0_ = (GtkLabel*) gtk_label_new (_ ("Inactive"));
#line 133 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_object_ref_sink (_tmp0_);
#line 133 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->task_status_lbl);
#line 133 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	self->priv->task_status_lbl = _tmp0_;
#line 134 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp1_ = (GtkLabel*) gtk_label_new (_ ("No task has been selected"));
#line 134 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_object_ref_sink (_tmp1_);
#line 134 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->task_description_lbl);
#line 134 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	self->priv->task_description_lbl = _tmp1_;
#line 137 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp2_ = self->priv->task_status_lbl;
#line 137 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_widget_set_margin_top ((GtkWidget*) _tmp2_, 30);
#line 138 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp3_ = self->priv->task_status_lbl;
#line 138 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp4_ = gtk_widget_get_style_context ((GtkWidget*) _tmp3_);
#line 138 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_style_context_add_class (_tmp4_, "task_status");
#line 139 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp5_ = self->priv->task_description_lbl;
#line 139 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_object_set ((GtkWidget*) _tmp5_, "margin", 20, NULL);
#line 140 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp6_ = self->priv->task_description_lbl;
#line 140 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_widget_set_margin_top ((GtkWidget*) _tmp6_, 30);
#line 141 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp7_ = self->priv->task_description_lbl;
#line 141 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_label_set_lines (_tmp7_, 3);
#line 142 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp8_ = self->priv->task_description_lbl;
#line 142 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_object_set (_tmp8_, "wrap", TRUE, NULL);
#line 145 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp9_ = self->priv->task_status_lbl;
#line 145 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp9_);
#line 146 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp10_ = self->priv->task_description_lbl;
#line 146 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp10_);
#line 650 "TimerView.c"
}

/**
     * Configures the container with the timer elements.
     */
static void
__lambda21_ (TimerView* self)
{
	TaskTimer* _tmp0_;
	GDateTime* _tmp1_;
	GDateTime* _tmp2_;
#line 176 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp0_ = self->priv->timer;
#line 176 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp1_ = timer_view_get_timer_values (self);
#line 176 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp2_ = _tmp1_;
#line 176 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	task_timer_set_remaining_duration (_tmp0_, _tmp2_);
#line 176 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_date_time_unref0 (_tmp2_);
#line 672 "TimerView.c"
}

static void
___lambda21__gtk_spin_button_value_changed (GtkSpinButton* _sender,
                                            gpointer self)
{
#line 175 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	__lambda21_ ((TimerView*) self);
#line 681 "TimerView.c"
}

static void
__lambda22_ (TimerView* self)
{
	TaskTimer* _tmp0_;
	GDateTime* _tmp1_;
	GDateTime* _tmp2_;
#line 179 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp0_ = self->priv->timer;
#line 179 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp1_ = timer_view_get_timer_values (self);
#line 179 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp2_ = _tmp1_;
#line 179 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	task_timer_set_remaining_duration (_tmp0_, _tmp2_);
#line 179 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_date_time_unref0 (_tmp2_);
#line 700 "TimerView.c"
}

static void
___lambda22__gtk_spin_button_value_changed (GtkSpinButton* _sender,
                                            gpointer self)
{
#line 178 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	__lambda22_ ((TimerView*) self);
#line 709 "TimerView.c"
}

static void
__lambda23_ (TimerView* self)
{
	TaskTimer* _tmp0_;
	GDateTime* _tmp1_;
	GDateTime* _tmp2_;
#line 182 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp0_ = self->priv->timer;
#line 182 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp1_ = timer_view_get_timer_values (self);
#line 182 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp2_ = _tmp1_;
#line 182 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	task_timer_set_remaining_duration (_tmp0_, _tmp2_);
#line 182 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_date_time_unref0 (_tmp2_);
#line 728 "TimerView.c"
}

static void
___lambda23__gtk_spin_button_value_changed (GtkSpinButton* _sender,
                                            gpointer self)
{
#line 181 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	__lambda23_ ((TimerView*) self);
#line 737 "TimerView.c"
}

static void
timer_view_setup_timer_container (TimerView* self)
{
	GtkGrid* _tmp0_;
	GtkSpinButton* _tmp1_;
	GtkSpinButton* _tmp2_;
	GtkSpinButton* _tmp3_;
	GtkGrid* _tmp4_;
	GtkGrid* _tmp5_;
	GtkGrid* _tmp6_;
	GtkGrid* _tmp7_;
	GtkGrid* _tmp8_;
	GtkStyleContext* _tmp9_;
	GtkSpinButton* _tmp10_;
	GtkSpinButton* _tmp11_;
	GtkSpinButton* _tmp12_;
	GtkSpinButton* _tmp13_;
	GtkSpinButton* _tmp14_;
	GtkSpinButton* _tmp15_;
	GtkSpinButton* _tmp16_;
	GtkSpinButton* _tmp17_;
	GtkSpinButton* _tmp18_;
	GtkGrid* _tmp19_;
	GtkSpinButton* _tmp20_;
	GtkGrid* _tmp21_;
	GtkLabel* _tmp22_;
	GtkLabel* _tmp23_;
	GtkGrid* _tmp24_;
	GtkSpinButton* _tmp25_;
	GtkGrid* _tmp26_;
	GtkLabel* _tmp27_;
	GtkLabel* _tmp28_;
	GtkGrid* _tmp29_;
	GtkSpinButton* _tmp30_;
	GtkGrid* _tmp31_;
#line 152 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_return_if_fail (self != NULL);
#line 154 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp0_ = (GtkGrid*) gtk_grid_new ();
#line 154 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_object_ref_sink (_tmp0_);
#line 154 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->timer_grid);
#line 154 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	self->priv->timer_grid = _tmp0_;
#line 155 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp1_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 0, (gdouble) 59, (gdouble) 1);
#line 155 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_object_ref_sink (_tmp1_);
#line 155 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->h_spin);
#line 155 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	self->priv->h_spin = _tmp1_;
#line 156 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp2_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 0, (gdouble) 59, (gdouble) 1);
#line 156 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_object_ref_sink (_tmp2_);
#line 156 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->m_spin);
#line 156 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	self->priv->m_spin = _tmp2_;
#line 157 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp3_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 0, (gdouble) 59, (gdouble) 1);
#line 157 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_object_ref_sink (_tmp3_);
#line 157 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->s_spin);
#line 157 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	self->priv->s_spin = _tmp3_;
#line 160 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp4_ = self->priv->timer_grid;
#line 160 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_object_set ((GtkWidget*) _tmp4_, "expand", TRUE, NULL);
#line 161 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp5_ = self->priv->timer_grid;
#line 161 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) _tmp5_, GTK_ORIENTATION_HORIZONTAL);
#line 162 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp6_ = self->priv->timer_grid;
#line 162 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp6_, GTK_ALIGN_CENTER);
#line 163 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp7_ = self->priv->timer_grid;
#line 163 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp7_, GTK_ALIGN_CENTER);
#line 165 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp8_ = self->priv->timer_grid;
#line 165 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp9_ = gtk_widget_get_style_context ((GtkWidget*) _tmp8_);
#line 165 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_style_context_add_class (_tmp9_, "timerview");
#line 166 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp10_ = self->priv->h_spin;
#line 166 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) _tmp10_, GTK_ORIENTATION_VERTICAL);
#line 167 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp11_ = self->priv->m_spin;
#line 167 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) _tmp11_, GTK_ORIENTATION_VERTICAL);
#line 168 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp12_ = self->priv->s_spin;
#line 168 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) _tmp12_, GTK_ORIENTATION_VERTICAL);
#line 170 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp13_ = self->priv->h_spin;
#line 170 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	timer_view_use_leading_zeros (self, _tmp13_);
#line 171 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp14_ = self->priv->m_spin;
#line 171 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	timer_view_use_leading_zeros (self, _tmp14_);
#line 172 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp15_ = self->priv->s_spin;
#line 172 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	timer_view_use_leading_zeros (self, _tmp15_);
#line 175 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp16_ = self->priv->h_spin;
#line 175 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_signal_connect_object (_tmp16_, "value-changed", (GCallback) ___lambda21__gtk_spin_button_value_changed, self, 0);
#line 178 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp17_ = self->priv->m_spin;
#line 178 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_signal_connect_object (_tmp17_, "value-changed", (GCallback) ___lambda22__gtk_spin_button_value_changed, self, 0);
#line 181 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp18_ = self->priv->s_spin;
#line 181 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_signal_connect_object (_tmp18_, "value-changed", (GCallback) ___lambda23__gtk_spin_button_value_changed, self, 0);
#line 186 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp19_ = self->priv->timer_grid;
#line 186 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp20_ = self->priv->h_spin;
#line 186 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) _tmp19_, (GtkWidget*) _tmp20_);
#line 187 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp21_ = self->priv->timer_grid;
#line 187 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp22_ = (GtkLabel*) gtk_label_new (" : ");
#line 187 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_object_ref_sink (_tmp22_);
#line 187 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp23_ = _tmp22_;
#line 187 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) _tmp21_, (GtkWidget*) _tmp23_);
#line 187 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_object_unref0 (_tmp23_);
#line 188 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp24_ = self->priv->timer_grid;
#line 188 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp25_ = self->priv->m_spin;
#line 188 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) _tmp24_, (GtkWidget*) _tmp25_);
#line 189 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp26_ = self->priv->timer_grid;
#line 189 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp27_ = (GtkLabel*) gtk_label_new (" : ");
#line 189 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_object_ref_sink (_tmp27_);
#line 189 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp28_ = _tmp27_;
#line 189 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) _tmp26_, (GtkWidget*) _tmp28_);
#line 189 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_object_unref0 (_tmp28_);
#line 190 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp29_ = self->priv->timer_grid;
#line 190 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp30_ = self->priv->s_spin;
#line 190 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) _tmp29_, (GtkWidget*) _tmp30_);
#line 191 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp31_ = self->priv->timer_grid;
#line 191 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp31_);
#line 913 "TimerView.c"
}

/**
     * Makes the passed Gtk.SpinButton fill the display with a leading zero.
     */
static Block3Data*
block3_data_ref (Block3Data* _data3_)
{
#line 197 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_atomic_int_inc (&_data3_->_ref_count_);
#line 197 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	return _data3_;
#line 926 "TimerView.c"
}

static void
block3_data_unref (void * _userdata_)
{
	Block3Data* _data3_;
	_data3_ = (Block3Data*) _userdata_;
#line 197 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	if (g_atomic_int_dec_and_test (&_data3_->_ref_count_)) {
#line 936 "TimerView.c"
		TimerView* self;
#line 197 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		self = _data3_->self;
#line 197 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		_g_object_unref0 (_data3_->spin);
#line 197 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		_g_object_unref0 (self);
#line 197 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		g_slice_free (Block3Data, _data3_);
#line 946 "TimerView.c"
	}
}

static gboolean
__lambda20_ (Block3Data* _data3_,
             GtkSpinButton* s)
{
	TimerView* self;
	gint val = 0;
	gboolean result;
#line 198 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	self = _data3_->self;
#line 198 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_return_val_if_fail (s != NULL, FALSE);
#line 199 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	val = gtk_spin_button_get_value_as_int (_data3_->spin);
#line 201 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	if (val < 10) {
#line 965 "TimerView.c"
		gchar* _tmp0_;
		gchar* _tmp1_;
		gchar* _tmp2_;
		gchar* _tmp3_;
#line 202 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		_tmp0_ = g_strdup_printf ("%i", val);
#line 202 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		_tmp1_ = _tmp0_;
#line 202 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		_tmp2_ = g_strconcat ("0", _tmp1_, NULL);
#line 202 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		_tmp3_ = _tmp2_;
#line 202 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		gtk_entry_set_text ((GtkEntry*) _data3_->spin, _tmp3_);
#line 202 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		_g_free0 (_tmp3_);
#line 202 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		_g_free0 (_tmp1_);
#line 203 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		result = TRUE;
#line 203 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		return result;
#line 988 "TimerView.c"
	}
#line 205 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	result = FALSE;
#line 205 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	return result;
#line 994 "TimerView.c"
}

static gboolean
___lambda20__gtk_spin_button_output (GtkSpinButton* _sender,
                                     gpointer self)
{
	gboolean result;
	result = __lambda20_ (self, _sender);
#line 198 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	return result;
#line 1005 "TimerView.c"
}

static void
timer_view_use_leading_zeros (TimerView* self,
                              GtkSpinButton* spin)
{
	Block3Data* _data3_;
	GtkSpinButton* _tmp0_;
#line 197 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_return_if_fail (self != NULL);
#line 197 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_return_if_fail (spin != NULL);
#line 197 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_data3_ = g_slice_new0 (Block3Data);
#line 197 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_data3_->_ref_count_ = 1;
#line 197 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_data3_->self = g_object_ref (self);
#line 197 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp0_ = _g_object_ref0 (spin);
#line 197 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_object_unref0 (_data3_->spin);
#line 197 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_data3_->spin = _tmp0_;
#line 198 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_signal_connect_data (_data3_->spin, "output", (GCallback) ___lambda20__gtk_spin_button_output, block3_data_ref (_data3_), (GClosureNotify) block3_data_unref, 0);
#line 197 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	block3_data_unref (_data3_);
#line 197 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_data3_ = NULL;
#line 1036 "TimerView.c"
}

/**
     * Configures the container with the action buttons.
     */
static void
__lambda24_ (TimerView* self,
             GtkButton* e)
{
	TaskTimer* _tmp0_;
#line 237 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_return_if_fail (e != NULL);
#line 238 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp0_ = self->priv->timer;
#line 238 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	task_timer_end_iteration (_tmp0_);
#line 1053 "TimerView.c"
}

static void
___lambda24__gtk_button_clicked (GtkButton* _sender,
                                 gpointer self)
{
#line 237 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	__lambda24_ ((TimerView*) self, _sender);
#line 1062 "TimerView.c"
}

static void
__lambda25_ (TimerView* self,
             GtkButton* e)
{
	TaskTimer* _tmp0_;
#line 240 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_return_if_fail (e != NULL);
#line 241 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp0_ = self->priv->timer;
#line 241 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	task_timer_set_active_task_done (_tmp0_);
#line 1076 "TimerView.c"
}

static void
___lambda25__gtk_button_clicked (GtkButton* _sender,
                                 gpointer self)
{
#line 240 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	__lambda25_ ((TimerView*) self, _sender);
#line 1085 "TimerView.c"
}

static void
_timer_view_on_run_btn_clicked_gtk_button_clicked (GtkButton* _sender,
                                                   gpointer self)
{
#line 243 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	timer_view_on_run_btn_clicked ((TimerView*) self);
#line 1094 "TimerView.c"
}

static void
timer_view_setup_action_container (TimerView* self)
{
	GtkGrid* _tmp0_;
	GtkGrid* _tmp1_;
	GtkGrid* _tmp2_;
	GtkButton* _tmp3_;
	GtkButton* _tmp4_;
	GtkButton* _tmp5_;
	GtkGrid* _tmp6_;
	GtkGrid* _tmp7_;
	GtkGrid* _tmp8_;
	GtkGrid* _tmp9_;
	GtkGrid* _tmp10_;
	GtkGrid* _tmp11_;
	GtkButton* _tmp12_;
	GtkButton* _tmp13_;
	GtkButton* _tmp14_;
	GtkButton* _tmp15_;
	GtkButton* _tmp16_;
	GtkButton* _tmp17_;
	GtkButton* _tmp18_;
	GtkButton* _tmp19_;
	GtkButton* _tmp20_;
	GtkGrid* _tmp21_;
	GtkButton* _tmp22_;
	GtkGrid* _tmp23_;
	GtkButton* _tmp24_;
	GtkGrid* _tmp25_;
	GtkButton* _tmp26_;
	GtkGrid* _tmp27_;
	GtkGrid* _tmp28_;
	GtkGrid* _tmp29_;
	GtkGrid* _tmp30_;
	GtkGrid* _tmp31_;
#line 212 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_return_if_fail (self != NULL);
#line 214 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp0_ = (GtkGrid*) gtk_grid_new ();
#line 214 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_object_ref_sink (_tmp0_);
#line 214 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->action_grid);
#line 214 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	self->priv->action_grid = _tmp0_;
#line 215 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp1_ = (GtkGrid*) gtk_grid_new ();
#line 215 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_object_ref_sink (_tmp1_);
#line 215 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->action_timer_grid);
#line 215 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	self->priv->action_timer_grid = _tmp1_;
#line 216 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp2_ = (GtkGrid*) gtk_grid_new ();
#line 216 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_object_ref_sink (_tmp2_);
#line 216 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->action_task_grid);
#line 216 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	self->priv->action_task_grid = _tmp2_;
#line 217 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp3_ = (GtkButton*) gtk_button_new ();
#line 217 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_object_ref_sink (_tmp3_);
#line 217 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->run_btn);
#line 217 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	self->priv->run_btn = _tmp3_;
#line 218 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp4_ = (GtkButton*) gtk_button_new_with_label (_ ("S_kip"));
#line 218 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_object_ref_sink (_tmp4_);
#line 218 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->skip_btn);
#line 218 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	self->priv->skip_btn = _tmp4_;
#line 219 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp5_ = (GtkButton*) gtk_button_new_with_label (_ ("_Done"));
#line 219 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_object_ref_sink (_tmp5_);
#line 219 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_object_unref0 (self->done_btn);
#line 219 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	self->done_btn = _tmp5_;
#line 222 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp6_ = self->priv->action_grid;
#line 222 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) _tmp6_, GTK_ORIENTATION_HORIZONTAL);
#line 223 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp7_ = self->priv->action_grid;
#line 223 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp7_, TRUE);
#line 224 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp8_ = self->priv->action_timer_grid;
#line 224 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp8_, TRUE);
#line 225 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp9_ = self->priv->action_task_grid;
#line 225 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp9_, TRUE);
#line 226 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp10_ = self->priv->action_timer_grid;
#line 226 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp10_, GTK_ALIGN_END);
#line 227 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp11_ = self->priv->action_task_grid;
#line 227 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp11_, GTK_ALIGN_START);
#line 228 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp12_ = self->done_btn;
#line 228 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_object_set ((GtkWidget*) _tmp12_, "margin", 7, NULL);
#line 229 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp13_ = self->priv->run_btn;
#line 229 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_object_set ((GtkWidget*) _tmp13_, "margin", 7, NULL);
#line 230 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp14_ = self->priv->skip_btn;
#line 230 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_object_set ((GtkWidget*) _tmp14_, "margin", 7, NULL);
#line 232 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp15_ = self->done_btn;
#line 232 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_button_set_use_underline (_tmp15_, TRUE);
#line 233 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp16_ = self->priv->skip_btn;
#line 233 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_button_set_use_underline (_tmp16_, TRUE);
#line 234 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp17_ = self->priv->run_btn;
#line 234 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_button_set_use_underline (_tmp17_, TRUE);
#line 237 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp18_ = self->priv->skip_btn;
#line 237 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_signal_connect_object (_tmp18_, "clicked", (GCallback) ___lambda24__gtk_button_clicked, self, 0);
#line 240 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp19_ = self->done_btn;
#line 240 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_signal_connect_object (_tmp19_, "clicked", (GCallback) ___lambda25__gtk_button_clicked, self, 0);
#line 243 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp20_ = self->priv->run_btn;
#line 243 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_signal_connect_object (_tmp20_, "clicked", (GCallback) _timer_view_on_run_btn_clicked_gtk_button_clicked, self, 0);
#line 246 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp21_ = self->priv->action_timer_grid;
#line 246 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp22_ = self->priv->skip_btn;
#line 246 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) _tmp21_, (GtkWidget*) _tmp22_);
#line 247 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp23_ = self->priv->action_timer_grid;
#line 247 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp24_ = self->priv->run_btn;
#line 247 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) _tmp23_, (GtkWidget*) _tmp24_);
#line 248 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp25_ = self->priv->action_task_grid;
#line 248 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp26_ = self->done_btn;
#line 248 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) _tmp25_, (GtkWidget*) _tmp26_);
#line 249 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp27_ = self->priv->action_grid;
#line 249 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp28_ = self->priv->action_task_grid;
#line 249 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) _tmp27_, (GtkWidget*) _tmp28_);
#line 250 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp29_ = self->priv->action_grid;
#line 250 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp30_ = self->priv->action_timer_grid;
#line 250 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) _tmp29_, (GtkWidget*) _tmp30_);
#line 251 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp31_ = self->priv->action_grid;
#line 251 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp31_);
#line 1276 "TimerView.c"
}

static void
timer_view_setup_progress_bar (TimerView* self)
{
	GtkProgressBar* _tmp0_;
	GtkProgressBar* _tmp1_;
	GtkProgressBar* _tmp2_;
#line 254 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_return_if_fail (self != NULL);
#line 255 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp0_ = (GtkProgressBar*) gtk_progress_bar_new ();
#line 255 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_object_ref_sink (_tmp0_);
#line 255 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->progress);
#line 255 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	self->priv->progress = _tmp0_;
#line 256 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp1_ = self->priv->progress;
#line 256 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp1_, TRUE);
#line 257 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp2_ = self->priv->progress;
#line 257 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp2_);
#line 1303 "TimerView.c"
}

/**
     * This funciton is to be called, when the to-do list is empty
     */
void
timer_view_show_no_task (TimerView* self)
{
	GtkLabel* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	GtkLabel* _tmp3_;
	GtkButton* _tmp4_;
#line 263 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_return_if_fail (self != NULL);
#line 264 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp0_ = self->priv->task_status_lbl;
#line 264 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp1_ = g_strconcat (_ ("Relax"), ".", NULL);
#line 264 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp2_ = _tmp1_;
#line 264 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_label_set_label (_tmp0_, _tmp2_);
#line 264 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_free0 (_tmp2_);
#line 265 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp3_ = self->priv->task_description_lbl;
#line 265 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_label_set_label (_tmp3_, _ ("You have nothing to do."));
#line 266 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp4_ = self->done_btn;
#line 266 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp4_, FALSE);
#line 1337 "TimerView.c"
}

static void
timer_view_real_show_all (GtkWidget* base)
{
	TimerView * self;
	TaskTimer* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 269 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	self = (TimerView*) base;
#line 270 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	GTK_WIDGET_CLASS (timer_view_parent_class)->show_all ((GtkWidget*) G_TYPE_CHECK_INSTANCE_CAST (self, gtk_grid_get_type (), GtkGrid));
#line 271 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp0_ = self->priv->timer;
#line 271 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp1_ = task_timer_get_break_active (_tmp0_);
#line 271 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_tmp2_ = _tmp1_;
#line 271 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	if (_tmp2_) {
#line 1359 "TimerView.c"
		GtkButton* _tmp3_;
#line 272 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		_tmp3_ = self->done_btn;
#line 272 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
		gtk_widget_set_visible ((GtkWidget*) _tmp3_, FALSE);
#line 1365 "TimerView.c"
	}
}

static void
timer_view_class_init (TimerViewClass * klass,
                       gpointer klass_data)
{
#line 21 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	timer_view_parent_class = g_type_class_peek_parent (klass);
#line 21 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	g_type_class_adjust_private_offset (klass, &TimerView_private_offset);
#line 21 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	((GtkWidgetClass *) klass)->show_all = (void (*) (GtkWidget*)) timer_view_real_show_all;
#line 21 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	G_OBJECT_CLASS (klass)->finalize = timer_view_finalize;
#line 1381 "TimerView.c"
}

static void
timer_view_instance_init (TimerView * self,
                          gpointer klass)
{
#line 21 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	self->priv = timer_view_get_instance_private (self);
#line 1390 "TimerView.c"
}

static void
timer_view_finalize (GObject * obj)
{
	TimerView * self;
#line 21 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_TIMER_VIEW, TimerView);
#line 23 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_task_timer_unref0 (self->priv->timer);
#line 26 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->progress);
#line 27 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->task_status_lbl);
#line 28 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->task_description_lbl);
#line 29 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->timer_grid);
#line 30 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->h_spin);
#line 31 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->m_spin);
#line 32 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->s_spin);
#line 33 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->action_grid);
#line 34 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->action_timer_grid);
#line 35 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->action_task_grid);
#line 36 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->run_btn);
#line 37 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_object_unref0 (self->priv->skip_btn);
#line 38 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	_g_object_unref0 (self->done_btn);
#line 21 "/home/abuild/rpmbuild/BUILD/Go-For-It-1.6.3/src/view/TimerView.vala"
	G_OBJECT_CLASS (timer_view_parent_class)->finalize (obj);
#line 1429 "TimerView.c"
}

/**
 * The widget for selecting, displaying and controlling the active task.
 */
static GType
timer_view_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (TimerViewClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) timer_view_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (TimerView), 0, (GInstanceInitFunc) timer_view_instance_init, NULL };
	GType timer_view_type_id;
	timer_view_type_id = g_type_register_static (gtk_grid_get_type (), "TimerView", &g_define_type_info, 0);
	TimerView_private_offset = g_type_add_instance_private (timer_view_type_id, sizeof (TimerViewPrivate));
	return timer_view_type_id;
}

GType
timer_view_get_type (void)
{
	static volatile gsize timer_view_type_id__once = 0;
	if (g_once_init_enter (&timer_view_type_id__once)) {
		GType timer_view_type_id;
		timer_view_type_id = timer_view_get_type_once ();
		g_once_init_leave (&timer_view_type_id__once, timer_view_type_id);
	}
	return timer_view_type_id__once;
}

